GNU bug report logs - #53011
Possible to Update qtbase-5 to v5.15.8?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jaft <wamm_kd_schmelingski@HIDDEN>; merged with #52672, #52993; dated Tue, 4 Jan 2022 17:37:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 2 Feb 2022 19:16:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 02 14:16:23 2022
Received: from localhost ([127.0.0.1]:53648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nFL6v-00043t-1u
	for submit <at> debbugs.gnu.org; Wed, 02 Feb 2022 14:16:23 -0500
Received: from sonic307-9.consmr.mail.ne1.yahoo.com ([66.163.190.32]:41838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wamm_kd_schmelingski@HIDDEN>) id 1nFL6r-0003uD-Ey
 for 53011 <at> debbugs.gnu.org; Wed, 02 Feb 2022 14:16:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1643829358; bh=E6JFUd1GZsGCyNE5SN642X2GHGiPYsTaFNPfAxg7wKA=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=Jp+9mP1Q4mlaPJA/Opg9hav6is26FNZIOrKbiU2jqOCW2qoR8U/8R0PfZDuxPhGs6nr4lIBt1/ASvrKvhskfK9ELmMWYDXjC52Jqg68XOQqGs4UtiGknUG62FVnExMRfSguQNDxM3zfZwOF8CHGjp+Ffk3/oktEF3cJTEwnuheAomi3+Beyz52Oh87rp+Ya4y8A3pWfPMy7qbduYrUrG2hiNNtHtzmXwtgYk+/wXIq8ZB/n8kA0cywzN4NkqkD2oTNTaaP6lvyoVzdFINjYExqRLpUbfTZCq2RW+GQfxMk75NiOJTqF8yH4uDMWokI69fYRS00lu9eMfc8Tz4wO/1g==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1643829358; bh=BB8TrSX4lx4rFzNQzAEKriKe4UPMQ/O+XvsOk4yBaVI=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=Zi2iPDk0CIwXtM3WBHsvapgHL66aqU8+or2//L9CDL5D4KU2G8LJfEGlu9AxSXCoZoXlWYX5m4ftAltGOYfjpIeVFFbkBH1W4QILWUeWy6/xnTwE72urGOURsWY7HnoVNcwzRo181ThkszcM+Gktu+TOn21lB7ywKfnQQ7ZRBylY2BZdboQo5tw4ks5jFadfoRwWBGIXI49TbG7OmQzLw7rYVToQ1qxbFjgnCz51W9CNzLgSaOnWOdhFdsaL2OigJfYDP6PI8ioxFfgnaJgYsD32xRsIwZv0x+Z2w/xqG76vZtc1suchgHVi/oCEQ+raKaF1zD+4AYz3NnufoGTkQg==
X-YMail-OSG: nSuOuQkVM1kSK_XYoarwwf9oEDARL4smPOAAFuQtFnDyRQQH4mmkFKhNFvqRd6e
 qqT.n6lVItY_v5YFklHxl8Nng.wukmGnflKHq83tTRjKaXqwxtSkn7m_4eDuAayzwtVJWO9bChTO
 F1MRW7DhY2ENRLcmhCEEFpXGMA.dYUwj_fSbuYDXUMhKY0Xu.brg1cqh39.3St.3_coIJdMjI5XP
 QGVYWwT2WvWjSYQkrHLTKQ4mcMPf0BkjeH5O7leTzymL89yghH.av4G0_YzUqVIdE1lXTvfk3Kx3
 NHYoPj0PBbrfIKErnWbgDn8sLqRDnwKzwFmMjhVD05ugAuTDJD8xmRGlgrUi6KOnHWabDgdecUzm
 r.TdlF.LFBEWgWCnskuwWTPx67ffKnZ1ZeOzQhWTTxDFNioO0dZjwIkOei.Q.IY.eah.R0sA_xBL
 XMYj.6wbkBj29ONYZ13wNfHYHOOuGMGDFkOoIRqqukFKLaUd7R.jmqzIAjBR3rCYgEEXdedu3cco
 7rtSM6M4G_ZFsrWAVRTwwo9kUXcD9Q3CCyc0VOUpNM9iIowKThT2Xx4r3AjdiXbgUkQpq.Fa7izN
 m9peL_ZWkq7anYuERGhm4F9hNUrkqEUoDzkkiBcQoFB5k4MNcqIc7KBSs4H6HJMBR_xkGBxLRkzz
 cLD2k5wx4ENgoMKqIlDKvmSm3NnJZ8pMn.4zxZDj8ghdNUnyMF8EtdSDUmHgF0FUTfK9Ka8ZuOzO
 pr3BP6O2maHJyMygixVzEq0nnOlmctk8s0vSQ1m_RiD1gf3MYnsfHAWSabGm8TK9ROU7KM_k3fM7
 ziwfJdXj93o4QiLaE3vrCn0v4iA7K0Gp_W4s2JMzgFrLEHbpx2HHXEn82Ve1PN5f11pT8Z2o1WhX
 zwCQXYe1fMXun5nu_PbCgkH9zmc5uL2P9ZnoTgX3yyPEGMEcXuOV8J3z2ui6g.7uFaFFHbWVelLv
 eRXsRvhM_Ksu79eNHSbdkM_rPHeHDwGTKx4BDzbI5vDJ6ZNKVivF1PQdGJVR0MWAABAhiUFOYxro
 oqtQiO6myVXeXewV98WT63_46aI4ggjc7EKQigAiya1xuA4VQI37RZzAcITMRJhX.Yl7GN8bRAN4
 wxfeQdeZJVckOWZfZZScOynCHZ8mPFhNFOuzPz1RI2Tr1787TUYeds15wcLa3qtCFWs_0sUkEHuG
 ZwJdfRwDF98NVXON6Dv5xZxqMWiz0vOLYTcgtv1ATfEKAVG73qSlgCf9_eXRHPMNthZiIGHqK926
 uStAbDkVjNKzlYg0eQnqEk0Ckct32wSk7XTPW1Oh7qMBfRxw9MtNubBYI6U6NV5jt5VDB3921Z5M
 5TN7w2zcAOTDphdgrw0iYJCh67KlEq.sxYqHOEeNVpctF2n_iMgwBj6kDxwHWRc9J98oszz8RbDq
 SUc87RqFphlLz8JTYVfPRuW_uxHRgzmwTdq5GMr5VAH9hR25Ij4.cwQdY5TAADXH1QGGRwIKoq3K
 YQwM_ZXWFBB9pKXh9IrAS43.Ptn0IEo64t8_OxUzvNJR.N4WAZcbm17U8LzdjS2yjrUzvYNl308o
 HbO.Bn31spiJ2RQY3lMN_NzqRDV6x2Hp1SYcB9TZV8xYIq71ljIa2rzHrX_Rj1SMJTUvtttkktm.
 B_xE.scGVTYv_OAfZMwjpD_jDJklnFnkLya9XUy9z4aOtA94UFnJH1b1uIBf9DAI0UjFaTfMZECn
 BDWZEqcGwhiRomG8EXaOqUTB3BdR9T.DCL4_97C9bi3wnn99JMcPUVIpsLrMM2M1JYIH1aqBsr6T
 bN84gxvBx1_I7lD6LfVPSizSavbE.bFpkVjo.sr4rnRKcfK1kFpTp02CIkp9logZkgbqgjMyv8z9
 j19Gg4RYadxDVnhqyaV6boqugiQ9_WgU4htS4tQQLy36aVixCWFpWD7anXsSQrKq7h61exwBQ1jD
 HEm5rIhTWavORvfd5pXoyTTz1VlUqxIOyc9LI8S8UJMmD.3.0Gvp9fp.0UCRzQ_71YetLFpR_.gG
 wc6c42zHJvu0Da4ppjAzEuG20ISGZkUvZEdpV1cpJTii4ux2bs97kpC6juPevoKwO.gzZzbo8QcS
 vgjc.d4OIXMRi0oseyZScjIMpkcc4kJT6aNCeFxoU0BCF7sSLz_XRxAxdTOqasasAGlxeZ8cM6X6
 KMAbVzRE.GwLLQPCuV.gS.vykeX3h5y4TzIcl2J6aU5ktCKpsXEqTjWQzJSbOdt7hzjtMo5J90Un
 6453L0puGjoNVb3Y4hk1ZQsONatnYV8M0st2TpzmxRTFuC9jbIJI.Xfy9Gkq44Fn23cmbnuGAwQb
 d8Gk1kn4tnms4l1hfltFMN.79x7MH1Wp92aB1
X-Sonic-MF: <wamm_kd_schmelingski@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Wed, 2 Feb 2022 19:15:58 +0000
Date: Wed, 2 Feb 2022 19:15:54 +0000 (UTC)
From: Jaft <wamm_kd_schmelingski@HIDDEN>
To: Florian Bruhin <me@HIDDEN>, Leo Famulari <leo@HIDDEN>
Message-ID: <621108953.5364096.1643829354936@HIDDEN>
In-Reply-To: <YdXtBPzCpUxnO3Ne@HIDDEN>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
 <20220104180457.tgkrnle4nc6ougdr@aragog> <YdXsmASThUQWcivv@HIDDEN>
 <YdXtBPzCpUxnO3Ne@HIDDEN>
Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_5364095_2100782562.1643829354936"
X-Mailer: WebService/1.1.19615 YMailNorrin
Content-Length: 18534
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53011
Cc: "53011 <at> debbugs.gnu.org" <53011 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_5364095_2100782562.1643829354936
Content-Type: multipart/alternative; 
	boundary="----=_Part_5364094_1305121663.1643829354904"

------=_Part_5364094_1305121663.1643829354904
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

 I don't know if it's the best method to handle this but I tried just applying the patch manually with substitute*s.
Whatever point the codebase in the patch is, what's being pulled down by Guix doesn't seem to be there yet as one of the files was entirely missing but adding the file manually didn't seem to disturb anything and everything was able to build alright, for me.
I'm now typing this from Qutebrowser, built with my altered QTwebengine, and I've got proper text rendering (at least, for the sites I first noticed text rendering failing at and sites that had worked properly, to begin with).
    On Wednesday, January 5, 2022, 01:09:58 PM CST, Leo Famulari <leo@HIDDEN> wrote:  
 
 On Wed, Jan 05, 2022 at 02:08:08PM -0500, Leo Famulari wrote:
> On Tue, Jan 04, 2022 at 07:04:57PM +0100, Florian Bruhin wrote:
> > Alternatively, to fix the issues with missing text, backporting this
> > patch should suffice:
> > https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/374232
> 
> I'm testing this now.

Oh, the patch does not apply to the source code of our qtwebengine
package. So, I hope that somebody else will take a look and try to fix
this bug.
  
------=_Part_5364094_1305121663.1643829354904
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"ydp9cb4c438yahoo-style-wrap" style=
=3D"font-size: 13px; font-family: Helvetica Neue, Helvetica, Arial, sans-se=
rif;"><div style=3D"font-family: Helvetica Neue, Helvetica, Arial, sans-ser=
if;"></div>
        <div dir=3D"ltr" data-setdir=3D"false" style=3D"">I don't know if i=
t's the best method to handle this but I tried just applying the patch manu=
ally with <font face=3D"courier new, courier, monaco, monospace, sans-serif=
">substitute*</font>s.</div><div dir=3D"ltr" data-setdir=3D"false" style=3D=
""><br></div><div dir=3D"ltr" data-setdir=3D"false" style=3D"">Whatever poi=
nt the codebase in the patch is, what's being pulled down by Guix doesn't s=
eem to be there yet as one of the files was entirely missing but adding the=
 file manually didn't seem to disturb anything and everything was able to b=
uild alright, for me.</div><div dir=3D"ltr" data-setdir=3D"false" style=3D"=
"><br></div><div dir=3D"ltr" data-setdir=3D"false" style=3D"">I'm now typin=
g this from Qutebrowser, built with my altered QTwebengine, and I've got pr=
oper text rendering (at least, for the sites I first noticed text rendering=
 failing at and sites that had worked properly, to begin with).</div><div s=
tyle=3D"font-family: Helvetica Neue, Helvetica, Arial, sans-serif;"><br></d=
iv>
       =20
        </div><div id=3D"yahoo_quoted_4160043662" class=3D"yahoo_quoted">
            <div style=3D"font-family:'Helvetica Neue', Helvetica, Arial, s=
ans-serif;font-size:13px;color:#26282a;">
               =20
                <div>
                    On Wednesday, January 5, 2022, 01:09:58 PM CST, Leo Fam=
ulari &lt;leo@HIDDEN&gt; wrote:
                </div>
                <div><br></div>
                <div><br></div>
                <div>On Wed, Jan 05, 2022 at 02:08:08PM -0500, Leo Famulari=
 wrote:<div class=3D"yqt1938707942" id=3D"yqtfd15430"><br clear=3D"none">&g=
t; On Tue, Jan 04, 2022 at 07:04:57PM +0100, Florian Bruhin wrote:<br clear=
=3D"none">&gt; &gt; Alternatively, to fix the issues with missing text, bac=
kporting this<br clear=3D"none">&gt; &gt; patch should suffice:<br clear=3D=
"none">&gt; &gt; <a shape=3D"rect" href=3D"https://codereview.qt-project.or=
g/c/qt/qtwebengine-chromium/+/374232" target=3D"_blank">https://codereview.=
qt-project.org/c/qt/qtwebengine-chromium/+/374232</a><br clear=3D"none">&gt=
; <br clear=3D"none">&gt; I'm testing this now.</div><br clear=3D"none"><br=
 clear=3D"none">Oh, the patch does not apply to the source code of our qtwe=
bengine<br clear=3D"none">package. So, I hope that somebody else will take =
a look and try to fix<br clear=3D"none">this bug.<div class=3D"yqt193870794=
2" id=3D"yqtfd90419"><br clear=3D"none"></div></div>
            </div>
        </div></body></html>
------=_Part_5364094_1305121663.1643829354904--

------=_Part_5364095_2100782562.1643829354936
Content-Type: text/x-patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="qtwebengine.patch"
Content-ID: <9856c07a-c8d2-7742-3406-50141f85443e@HIDDEN>
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------=_Part_5364095_2100782562.1643829354936--




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 5 Jan 2022 19:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 05 14:11:13 2022
Received: from localhost ([127.0.0.1]:41863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5Bge-000300-2u
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2022 14:11:12 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:37161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n5BgY-0002yw-1G
 for 53011 <at> debbugs.gnu.org; Wed, 05 Jan 2022 14:11:02 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 094525C00D8;
 Wed,  5 Jan 2022 14:10:53 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Wed, 05 Jan 2022 14:10:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding; s=mesmtp; bh=KRyIG5caDpzf25yU46Fvc2K
 b0EKgT1QzLVNpidOQfpI=; b=iDCFnFpqMLsw2YE09R30m7c3ct9KuiMw2jKSd+o
 kwRMBbtuMZDGd6lj/L/eQ2QTJt6Bdh1v3G5vYpBpBFrDtachZXHRAvKGS0KdHQ8S
 alo0x+h/vTKMJs6X6Fyhg3is98XCl7LAqZit8GKX3M5b0qRpqVBiTIIHOlOCD0Ee
 ZD38=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:date:from
 :message-id:mime-version:subject:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=KRyIG5caDpzf25yU4
 6Fvc2Kb0EKgT1QzLVNpidOQfpI=; b=AGOAWCBF56zG9ovAuggjkUjqvCFEayjn5
 9g4ydGRhW5rB+35WZj4FYTM1ieDbYD1jA0UPUnnL2uKZTX2nfnTiFNm5BIy4ilYn
 C3PrcBJC5RBNEw+2qdljUeZB0aU+anvozcPJ+58UXTesN/B79EFm3XraEiYdIcuw
 4OeC+AtSSPGecysaNK2NX3PjTZrxHSGPGrRmsm+uOwo5GH4tgPk9TOhDH1yh9cm6
 +IBfPNDHV+v5fTRLe88I313x4ijFW+HYHsz6Cut8c4drT9eXzgFNd4qn2F0tzzPq
 7vUR3enuVAZNhClQlmPzBZZCQLcn2Qb3fi33hhSOUU/jQWiYAq30w==
X-ME-Sender: <xms:PO3VYVM7vuUa6YvJf8osdlXS8GP2W91SbwWFWXaxRRn72BJk1XHecg>
 <xme:PO3VYX_wxa1UJr-OdMsbj4ZbzEaBsvV8a6Q8KtsVTBJVnL20nZTiNG2OG69zzXim-
 qiBrMDfjJIKKd9Dgw>
X-ME-Received: <xmr:PO3VYUTYzaH200AK-pN04V1Td5_SoKgH-1sKZCxt1wETGnw_8owAVt_1Lq0yPnuhD7yVRP8vCCf8uvRGkrQBmiacrPAC>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrudefjedgfeeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgggfestdekredtre
 dttdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhi
 rdhnrghmvgeqnecuggftrfgrthhtvghrnhepgeeiieeiuddvvdefvdefgfduuefggfegle
 dvhfdtteeghedujeeggfeuhfdtiefhnecuffhomhgrihhnpehgnhhurdhorhhgpdhqthdq
 phhrohhjvggtthdrohhrghdptghrrhgvvhdrtghomhenucevlhhushhtvghrufhiiigvpe
 dtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:PO3VYRuZhXDiFr2Te4kZOsluaI6mVFaQkK4k3Ko9AxN4pE3SrAYuOQ>
 <xmx:PO3VYdc2mLvf5cKiLfYIdZ1Z8QcuIIGLEzqtmNuypx1auDtjYwVUDw>
 <xmx:PO3VYd0fLyJ-17SGhzKSJfHNY5DAYrlZv2amE7aZv0lr-QaJOz26vQ>
 <xmx:Pe3VYToUAmqbSbLV4iQSPNr7iwtu1pKWvliXfjDuj6P1E6TWy6wkow>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <53011 <at> debbugs.gnu.org>; Wed, 5 Jan 2022 14:10:52 -0500 (EST)
From: Leo Famulari <leo@HIDDEN>
To: 53011 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Fix text rendering in QtWebEngine.
Date: Wed,  5 Jan 2022 14:10:48 -0500
Message-Id: <f8d52c62079ae0966119bf49e7f93180794b836e.1641409834.git.leo@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53011
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

NOTE: The patch does not apply to our qtwebengine source.

* gnu/packages/patches/qtwebengine-fix-text-rendering.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/qt.scm (qtwebengine)[source]: Use it.
---
 gnu/local.mk                                  |   1 +
 .../qtwebengine-fix-text-rendering.patch      | 348 ++++++++++++++++++
 gnu/packages/qt.scm                           |   1 +
 3 files changed, 350 insertions(+)
 create mode 100644 gnu/packages/patches/qtwebengine-fix-text-rendering.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index be185a0abf..c94d1bc125 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1725,6 +1725,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/quagga-reproducible-build.patch          \
   %D%/packages/patches/quassel-qt-514-compat.patch		\
   %D%/packages/patches/quickswitch-fix-dmenu-check.patch	\
+  %D%/packages/patches/qtwebengine-fix-text-rendering.patch	\
   %D%/packages/patches/qtwebkit-pbutils-include.patch		\
   %D%/packages/patches/qtwebkit-fix-building-with-bison-3.7.patch \
   %D%/packages/patches/qtwebkit-fix-building-with-python-3.9.patch	\
diff --git a/gnu/packages/patches/qtwebengine-fix-text-rendering.patch b/gnu/packages/patches/qtwebengine-fix-text-rendering.patch
new file mode 100644
index 0000000000..b432a440f6
--- /dev/null
+++ b/gnu/packages/patches/qtwebengine-fix-text-rendering.patch
@@ -0,0 +1,348 @@
+Fix text rendering in QtWebEngine:
+
+https://issues.guix.gnu.org/52672
+
+Patch copied from upstream:
+
+https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/374232
+
+From be0320febb694d850b76396346ef7ba5b45b7f0d Mon Sep 17 00:00:00 2001
+From: Allan Sandfeld Jensen <allan.jensen@HIDDEN>
+Date: Thu, 16 Sep 2021 13:17:58 +0200
+Subject: [PATCH] [Backport] Linux sandbox: fix fstatat() crash
+
+This is a reland of https://crrev.com/c/2801873.
+
+Glibc has started rewriting fstat(fd, stat_buf) to
+fstatat(fd, "", stat_buf, AT_EMPTY_PATH). This works because when
+AT_EMPTY_PATH is specified, and the second argument is an empty string,
+then fstatat just performs an fstat on fd like normal.
+
+Unfortunately, fstatat() also allows stat-ing arbitrary pathnames like
+with fstatat(AT_FDCWD, "/i/am/a/file", stat_buf, 0);
+The baseline policy needs to prevent this usage of fstatat() since it
+doesn't allow access to arbitrary pathnames.
+
+Sadly, if the second argument is not an empty string, AT_EMPTY_PATH is
+simply ignored by current kernels.
+
+This means fstatat() is completely unsandboxable with seccomp, since
+we *need* to verify that the second argument is the empty string, but
+we can't dereference pointers in seccomp (due to limitations of BPF,
+and the difficulty of addressing these limitations due to TOCTOU
+issues).
+
+So, this CL Traps (raises a SIGSYS via seccomp) on any fstatat syscall.
+The signal handler, which runs in the sandboxed process, checks for
+AT_EMPTY_PATH and the empty string, and then rewrites any applicable
+fstatat() back into the old-style fstat().
+
+Bug: 1164975
+Change-Id: I3df6c04c0d781eb1f181d707ccaaead779337291
+Reviewed-by: Robert Sesek <rsesek@HIDDEN>
+Commit-Queue: Matthew Denton <mpdenton@HIDDEN>
+Cr-Commit-Position: refs/heads/master@{#903873}
+Reviewed-by: Peter Varga <pvarga@HIDDEN>
+---
+
+diff --git a/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy.cc b/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy.cc
+index 3c67b12..ca19290 100644
+--- a/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy.cc
++++ b/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy.cc
+@@ -20,6 +20,7 @@
+ #include "sandbox/linux/seccomp-bpf-helpers/syscall_sets.h"
+ #include "sandbox/linux/seccomp-bpf/sandbox_bpf.h"
+ #include "sandbox/linux/services/syscall_wrappers.h"
++#include "sandbox/linux/system_headers/linux_stat.h"
+ #include "sandbox/linux/system_headers/linux_syscalls.h"
+ 
+ #if !defined(SO_PEEK_OFF)
+@@ -257,6 +258,13 @@
+     return RestrictKillTarget(current_pid, sysno);
+   }
+ 
++  // The fstatat syscalls are file system syscalls, which will be denied below
++  // with fs_denied_errno. However some allowed fstat syscalls are rewritten by
++  // libc implementations to fstatat syscalls, and we need to rewrite them back.
++  if (sysno == __NR_fstatat_default) {
++    return RewriteFstatatSIGSYS(fs_denied_errno);
++  }
++
+   if (SyscallSets::IsFileSystem(sysno) ||
+       SyscallSets::IsCurrentDirectory(sysno)) {
+     return Error(fs_denied_errno);
+diff --git a/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy_unittest.cc b/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy_unittest.cc
+index 64ec1ce..814b700 100644
+--- a/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy_unittest.cc
++++ b/chromium/sandbox/linux/seccomp-bpf-helpers/baseline_policy_unittest.cc
+@@ -50,7 +50,8 @@
+ 
+ namespace {
+ 
+-// This also tests that read(), write() and fstat() are allowed.
++// This also tests that read(), write(), fstat(), and fstatat(.., "", ..,
++// AT_EMPTY_PATH) are allowed.
+ void TestPipeOrSocketPair(base::ScopedFD read_end, base::ScopedFD write_end) {
+   BPF_ASSERT_LE(0, read_end.get());
+   BPF_ASSERT_LE(0, write_end.get());
+@@ -59,6 +60,20 @@
+   BPF_ASSERT_EQ(0, sys_ret);
+   BPF_ASSERT(S_ISFIFO(stat_buf.st_mode) || S_ISSOCK(stat_buf.st_mode));
+ 
++  sys_ret = fstatat(read_end.get(), "", &stat_buf, AT_EMPTY_PATH);
++  BPF_ASSERT_EQ(0, sys_ret);
++  BPF_ASSERT(S_ISFIFO(stat_buf.st_mode) || S_ISSOCK(stat_buf.st_mode));
++
++  // Make sure fstatat with anything other than an empty string is denied.
++  sys_ret = fstatat(read_end.get(), "/", &stat_buf, AT_EMPTY_PATH);
++  BPF_ASSERT_EQ(sys_ret, -1);
++  BPF_ASSERT_EQ(EPERM, errno);
++
++  // Make sure fstatat without AT_EMPTY_PATH is denied.
++  sys_ret = fstatat(read_end.get(), "", &stat_buf, 0);
++  BPF_ASSERT_EQ(sys_ret, -1);
++  BPF_ASSERT_EQ(EPERM, errno);
++
+   const ssize_t kTestTransferSize = 4;
+   static const char kTestString[kTestTransferSize] = {'T', 'E', 'S', 'T'};
+   ssize_t transfered = 0;
+diff --git a/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc b/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc
+index 76eb324..13e7180 100644
+--- a/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc
++++ b/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.cc
+@@ -6,6 +6,7 @@
+ 
+ #include "sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.h"
+ 
++#include <fcntl.h>
+ #include <stddef.h>
+ #include <stdint.h>
+ #include <string.h>
+@@ -22,6 +23,7 @@
+ #include "sandbox/linux/seccomp-bpf/syscall.h"
+ #include "sandbox/linux/services/syscall_wrappers.h"
+ #include "sandbox/linux/system_headers/linux_seccomp.h"
++#include "sandbox/linux/system_headers/linux_stat.h"
+ #include "sandbox/linux/system_headers/linux_syscalls.h"
+ 
+ #if defined(__mips__)
+@@ -355,6 +357,24 @@
+   return -ENOSYS;
+ }
+ 
++intptr_t SIGSYSFstatatHandler(const struct arch_seccomp_data& args,
++                              void* fs_denied_errno) {
++  if (args.nr == __NR_fstatat_default) {
++    if (*reinterpret_cast<const char*>(args.args[1]) == '\0' &&
++        args.args[3] == static_cast<uint64_t>(AT_EMPTY_PATH)) {
++      return syscall(__NR_fstat_default, static_cast<int>(args.args[0]),
++                     reinterpret_cast<default_stat_struct*>(args.args[2]));
++    }
++    return -reinterpret_cast<intptr_t>(fs_denied_errno);
++  }
++
++  CrashSIGSYS_Handler(args, fs_denied_errno);
++
++  // Should never be reached.
++  RAW_CHECK(false);
++  return -ENOSYS;
++}
++
+ bpf_dsl::ResultExpr CrashSIGSYS() {
+   return bpf_dsl::Trap(CrashSIGSYS_Handler, NULL);
+ }
+@@ -387,6 +407,11 @@
+   return bpf_dsl::Trap(SIGSYSSchedHandler, NULL);
+ }
+ 
++bpf_dsl::ResultExpr RewriteFstatatSIGSYS(int fs_denied_errno) {
++  return bpf_dsl::Trap(SIGSYSFstatatHandler,
++                       reinterpret_cast<void*>(fs_denied_errno));
++}
++
+ void AllocateCrashKeys() {
+ #if !defined(OS_NACL_NONSFI)
+   if (seccomp_crash_key)
+diff --git a/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.h b/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.h
+index 7a958b9..8cd735c 100644
+--- a/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.h
++++ b/chromium/sandbox/linux/seccomp-bpf-helpers/sigsys_handlers.h
+@@ -62,6 +62,19 @@
+ // sched_setparam(), sched_setscheduler()
+ SANDBOX_EXPORT intptr_t SIGSYSSchedHandler(const arch_seccomp_data& args,
+                                            void* aux);
++// If the fstatat() syscall is functionally equivalent to an fstat() syscall,
++// then rewrite the syscall to the equivalent fstat() syscall which can be
++// adequately sandboxed.
++// If the fstatat() is not functionally equivalent to an fstat() syscall, we
++// fail with -fs_denied_errno.
++// If the syscall is not an fstatat() at all, crash in the same way as
++// CrashSIGSYS_Handler.
++// This is necessary because glibc and musl have started rewriting fstat(fd,
++// stat_buf) as fstatat(fd, "", stat_buf, AT_EMPTY_PATH). We rewrite the latter
++// back to the former, which is actually sandboxable.
++SANDBOX_EXPORT intptr_t
++SIGSYSFstatatHandler(const struct arch_seccomp_data& args,
++                     void* fs_denied_errno);
+ 
+ // Variants of the above functions for use with bpf_dsl.
+ SANDBOX_EXPORT bpf_dsl::ResultExpr CrashSIGSYS();
+@@ -72,6 +85,7 @@
+ SANDBOX_EXPORT bpf_dsl::ResultExpr CrashSIGSYSFutex();
+ SANDBOX_EXPORT bpf_dsl::ResultExpr CrashSIGSYSPtrace();
+ SANDBOX_EXPORT bpf_dsl::ResultExpr RewriteSchedSIGSYS();
++SANDBOX_EXPORT bpf_dsl::ResultExpr RewriteFstatatSIGSYS(int fs_denied_errno);
+ 
+ // Allocates a crash key so that Seccomp information can be recorded.
+ void AllocateCrashKeys();
+diff --git a/chromium/sandbox/linux/syscall_broker/broker_process.cc b/chromium/sandbox/linux/syscall_broker/broker_process.cc
+index d72c9d2..36df5e4 100644
+--- a/chromium/sandbox/linux/syscall_broker/broker_process.cc
++++ b/chromium/sandbox/linux/syscall_broker/broker_process.cc
+@@ -122,44 +122,49 @@
+ }
+ 
+ bool BrokerProcess::IsSyscallBrokerable(int sysno, bool fast_check) const {
++  // The syscalls unavailable on aarch64 are all blocked by Android's default
++  // seccomp policy, even on non-aarch64 architectures. I.e., the syscalls XX()
++  // with a corresponding XXat() versions are typically unavailable in aarch64
++  // and are default disabled in Android. So, we should refuse to broker them
++  // to be consistent with the platform's restrictions.
+   switch (sysno) {
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_access:
+ #endif
+     case __NR_faccessat:
+       return !fast_check || allowed_command_set_.test(COMMAND_ACCESS);
+ 
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_mkdir:
+ #endif
+     case __NR_mkdirat:
+       return !fast_check || allowed_command_set_.test(COMMAND_MKDIR);
+ 
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_open:
+ #endif
+     case __NR_openat:
+       return !fast_check || allowed_command_set_.test(COMMAND_OPEN);
+ 
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_readlink:
+ #endif
+     case __NR_readlinkat:
+       return !fast_check || allowed_command_set_.test(COMMAND_READLINK);
+ 
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_rename:
+ #endif
+     case __NR_renameat:
+     case __NR_renameat2:
+       return !fast_check || allowed_command_set_.test(COMMAND_RENAME);
+ 
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_rmdir:
+       return !fast_check || allowed_command_set_.test(COMMAND_RMDIR);
+ #endif
+ 
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_stat:
+     case __NR_lstat:
+ #endif
+@@ -184,7 +189,7 @@
+       return !fast_check || allowed_command_set_.test(COMMAND_STAT);
+ #endif
+ 
+-#if !defined(__aarch64__)
++#if !defined(__aarch64__) && !defined(OS_ANDROID)
+     case __NR_unlink:
+       return !fast_check || allowed_command_set_.test(COMMAND_UNLINK);
+ #endif
+diff --git a/chromium/sandbox/linux/syscall_broker/broker_process_unittest.cc b/chromium/sandbox/linux/syscall_broker/broker_process_unittest.cc
+index b1d7106..15e00d5 100644
+--- a/chromium/sandbox/linux/syscall_broker/broker_process_unittest.cc
++++ b/chromium/sandbox/linux/syscall_broker/broker_process_unittest.cc
+@@ -1596,52 +1596,52 @@
+   const base::flat_map<BrokerCommand, base::flat_set<int>> kSysnosForCommand = {
+       {COMMAND_ACCESS,
+        {__NR_faccessat,
+-#if defined(__NR_access)
++#if defined(__NR_access) && !defined(OS_ANDROID)
+         __NR_access
+ #endif
+        }},
+       {COMMAND_MKDIR,
+        {__NR_mkdirat,
+-#if defined(__NR_mkdir)
++#if defined(__NR_mkdir) && !defined(OS_ANDROID)
+         __NR_mkdir
+ #endif
+        }},
+       {COMMAND_OPEN,
+        {__NR_openat,
+-#if defined(__NR_open)
++#if defined(__NR_open) && !defined(OS_ANDROID)
+         __NR_open
+ #endif
+        }},
+       {COMMAND_READLINK,
+        {__NR_readlinkat,
+-#if defined(__NR_readlink)
++#if defined(__NR_readlink) && !defined(OS_ANDROID)
+         __NR_readlink
+ #endif
+        }},
+       {COMMAND_RENAME,
+        {__NR_renameat,
+-#if defined(__NR_rename)
++#if defined(__NR_rename) && !defined(OS_ANDROID)
+         __NR_rename
+ #endif
+        }},
+       {COMMAND_UNLINK,
+        {__NR_unlinkat,
+-#if defined(__NR_unlink)
++#if defined(__NR_unlink) && !defined(OS_ANDROID)
+         __NR_unlink
+ #endif
+        }},
+       {COMMAND_RMDIR,
+        {__NR_unlinkat,
+-#if defined(__NR_rmdir)
++#if defined(__NR_rmdir) && !defined(OS_ANDROID)
+         __NR_rmdir
+ #endif
+        }},
+       {COMMAND_STAT,
+        {
+-#if defined(__NR_stat)
++#if defined(__NR_stat) && !defined(OS_ANDROID)
+            __NR_stat,
+ #endif
+-#if defined(__NR_lstat)
++#if defined(__NR_lstat) && !defined(OS_ANDROID)
+            __NR_lstat,
+ #endif
+ #if defined(__NR_fstatat)
+diff --git a/chromium/sandbox/linux/system_headers/linux_stat.h b/chromium/sandbox/linux/system_headers/linux_stat.h
+index 35788eb..83b89ef 100644
+--- a/chromium/sandbox/linux/system_headers/linux_stat.h
++++ b/chromium/sandbox/linux/system_headers/linux_stat.h
+@@ -157,6 +157,10 @@
+ };
+ #endif
+ 
++#if !defined(AT_EMPTY_PATH)
++#define AT_EMPTY_PATH 0x1000
++#endif
++
+ // On 32-bit systems, we default to the 64-bit stat struct like libc
+ // implementations do. Otherwise we default to the normal stat struct which is
+ // already 64-bit.
diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 01bf961bbf..55f141cd24 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -1549,6 +1549,7 @@ (define-public qtwebengine
        (sha256
         (base32
          "1q4idxdm81sx102xc12ixj0xpfx52d6vwvs3jpapnkyq8c7cmby8"))
+       (patches (search-patches "qtwebengine-fix-text-rendering.patch"))
        (modules '((ice-9 ftw)
                   (ice-9 match)
                   (srfi srfi-1)
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 5 Jan 2022 19:10:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 05 14:10:05 2022
Received: from localhost ([127.0.0.1]:41850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5Bfh-0002xU-EQ
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2022 14:10:05 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:33485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n5Bff-0002wc-8E
 for 53011 <at> debbugs.gnu.org; Wed, 05 Jan 2022 14:10:03 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 3F5705C0083;
 Wed,  5 Jan 2022 14:09:58 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Wed, 05 Jan 2022 14:09:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=z+DI/a3oWsweEkqosNDwtqSH
 P89NokwUJxarTvVVFYE=; b=Sq/z0t+Yqi0lDug/i+65g8xgts/wCh2zdUEVUkNR
 X8I+EZ/92/XarmvzKlAX/SYeISO1b94g04JzzoDPlDg1JCTzbRvASZ4eghzPzhKh
 K7wqS2WNl32G1tTN5KQR4C5E5NDp6Zce1lYhQ6Y5qXo1vjLXeuBuO/wGipwcbnbc
 OiA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=z+DI/a
 3oWsweEkqosNDwtqSHP89NokwUJxarTvVVFYE=; b=lZ8xZH9zR828d2BlYesU9c
 j/RJveALHglUJQGk+b3KlVS9gdWw/R2jjF/AkZpDLz6J0S0ENOte/jqvhcXROj3a
 AXCprjJ78FNDZrCszDX5hBYil72N7tDf6XMOYmhu2xRj8WdeScjcyDOEgVZ2EErY
 cACS8NjPp3+gpmPK3u8F/KT1QDFCwix2i0YUHA2A9I3WYCRVkO4XcnNkFw8pmQIT
 AR1MHAxtzWoLyGA1rlgv/SVc6knzgIJ85GfgRPDcgH24LbvAz2Scd7tQfT3QdHOX
 skNg5coSjRU9fRh+3SdxV+VOcpEk08Wzmr4jVvWZXBz7f00H84oowetYKvdgYARA
 ==
X-ME-Sender: <xms:Bu3VYU6EIX8Jz8FexJwlqdHntEeJx9RjQ_oSzTPNdRfSrULPFLpqeA>
 <xme:Bu3VYV6FASI0JnX4tklss4cMlX0-GnLC_rvfaKkC2x_jKKnamyPsRWn4OU2nPH64P
 McdmtDTUXg2lvQYwg>
X-ME-Received: <xmr:Bu3VYTeVgEZawRvp5uS9ovOvzdN4SPDzTuxbfqCMj0lpOrcDMAPBNs7yN1SjV4oG2PvdDZ5k0zj3ylK3-B9KfGGxIA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrudefjedgfeeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesghdtre
 ertddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnheptddufeelieetgfefgffgledtveejue
 dujefgveeltddvveevheevteeffeevveegnecuffhomhgrihhnpehqthdqphhrohhjvggt
 thdrohhrghenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhroh
 hmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:Bu3VYZJeZhBLF1sDQI3TsgHFBj8Zw_3QAC9lTwbbXrnpSElWpfJ4WA>
 <xmx:Bu3VYYI0afvstb9iySMLzh9d1c723fgE2CL4nl1oMNOp7ULQea8_zQ>
 <xmx:Bu3VYazDtjWa4jhk_Hd_RePS4geet1zoVnHtxgEQExaaUUyUyCul8g>
 <xmx:Bu3VYSjqXyZ84J8q9b623-6kPDXWv2rc6twDi6dNmSVA0Lk95T36BA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 5 Jan 2022 14:09:57 -0500 (EST)
Date: Wed, 5 Jan 2022 14:09:56 -0500
From: Leo Famulari <leo@HIDDEN>
To: Florian Bruhin <me@HIDDEN>
Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <YdXtBPzCpUxnO3Ne@HIDDEN>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
 <20220104180457.tgkrnle4nc6ougdr@aragog>
 <YdXsmASThUQWcivv@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="jCNINyh625XF0Ohy"
Content-Disposition: inline
In-Reply-To: <YdXsmASThUQWcivv@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53011
Cc: 53011 <at> debbugs.gnu.org, Jaft <wamm_kd_schmelingski@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--jCNINyh625XF0Ohy
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Jan 05, 2022 at 02:08:08PM -0500, Leo Famulari wrote:
> On Tue, Jan 04, 2022 at 07:04:57PM +0100, Florian Bruhin wrote:
> > Alternatively, to fix the issues with missing text, backporting this
> > patch should suffice:
> > https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/374232
>=20
> I'm testing this now.

Oh, the patch does not apply to the source code of our qtwebengine
package. So, I hope that somebody else will take a look and try to fix
this bug.

--jCNINyh625XF0Ohy
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAmHV7QQACgkQJkb6MLrK
fwjkehAAs5PFkZyzNIK5J3itqMGRMtGkPYUKq90W8qPVz1hcf4ew3KIvP4ejxh1C
WrpFI4BYAyoy4m5Ul3EicEFupB2F27JiKV2K3mw0zJhNOuE2zyPVE8JkUF/jM6b6
Er7EYs44nwMPl/BYIy41ED+KubeKNuqOFKneKfq4G1IT8GukqwCibE7O+prozLQs
q0L3QhJeLsIT8IzEzVRz2N7WrE6wSyp7388F7F7o/S2BXxJOAEg0m4UJS5XIFdW8
N1SZ9NfMdeHMkYQSJNHj1Ly3Y9Rmi4EOpqd0+nCLZb5pEBNtzHbXXJOCptXapelW
zD5mXm4zPeSYRruhAFrnnWAWfxsqJ0Kda4/N2ciYH188/oOfKFNBMm17qWKD1+AC
l4TAH4VRfC8f0gedBFl8jd9utCPPEmS2AF/HjxnKPkXhHc7usTzdp6BBqZJ19uI/
ioROSkhdfuILHYwCu0GZNbaOtUSHuK3VQiSs7N7ssox0hmVmmVQylw4MsV6ayNni
IImFefPIOApQZMIpKm6oz74cUivldzuRQ8DBbO8HGfZOQ3R53BgLvVLCsEPpfBIY
sZLVyt+QrVm/YECn+DhtClwLmPaZqaMQCuDu+k5766fIesPET8ryS0g5QRZo13d8
q3+PfqL7naug0QQYQ/hSTWvTySfRrq6IqU/AuOBGh1YfmNZzYBI=
=R6FB
-----END PGP SIGNATURE-----

--jCNINyh625XF0Ohy--




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.
Merged 52672 52993 53011. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 5 Jan 2022 19:08:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 05 14:08:18 2022
Received: from localhost ([127.0.0.1]:41834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5Bdy-0002tT-F7
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2022 14:08:18 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:44429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n5Bdw-0002tH-SV
 for 53011 <at> debbugs.gnu.org; Wed, 05 Jan 2022 14:08:17 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 84C2D5C0152;
 Wed,  5 Jan 2022 14:08:11 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 05 Jan 2022 14:08:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=ADMqABU0Xi9gDW4flAXpSMWH
 Pd+JJ9JoavHsxJGPduQ=; b=hUD5nf/jt7JFzw3SoaQkjFLxoMNo2qwaobaPuqF8
 A6XNs1+L42hiI3dbFabz4osM8ZqUinQwKmbkGEbunFFwdwnBBScZ7xU+g/2YSO3+
 MQF1xiyEHVHq+CDgcD0sY6cMBFKcSQN5w4ghfpu+CJLCJHPRVKuJRQJ2QvLUZE6I
 gic=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=ADMqAB
 U0Xi9gDW4flAXpSMWHPd+JJ9JoavHsxJGPduQ=; b=dykrc4bBxKIpd5/GlPY4lj
 x5NbLmqGeTQ9oIMJJCCpVJW8tCLK0eNmUxszoOm406edOwnc8HkmPVXCC/w8fWMe
 vkLosYwv95NjcRCeweRLCImzHJeEjhYAMyATYd4eNdz3HNs9RjTVKpvwEGTsp+n9
 EGl0UF8W/ASoS/OngGcsDv0upw2euVaFtii70AS+roJd0nLF0PCoinlbGDBD8p0I
 8VFgZ6Utsu8bLGtRo/jNCHf4KI95VkRNmmFnqI92Ntg8n4Wp+Sk66VfNCeaNWVfk
 +C/ntoe9K47rUG76FpCNn1Fmc4W0yShRRQwIbhuIdRV0FVZ7g6ZDPidD9Jm/kTLA
 ==
X-ME-Sender: <xms:m-zVYUZHXwa5Qc-ucer2g8upGqevvG5LFm6xhrzGbF_TkdPS3PlbIw>
 <xme:m-zVYfZYGAEkMPnKpoNYfM_ILaAUYS-0LmKsxn-1ZPvWaPr80ogywPZwHUe1DWAvX
 i64B1kDylNlOcmyyQ>
X-ME-Received: <xmr:m-zVYe88c6UxLkmFVT0Y7RjxGfo_kLti7Yvt6UztvsitsVwz7R7pIbCXcDD3kn1NdGUpSCawCtpjRXSgt6ZSk-g9Ng>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrudefjedgfeeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesghdtro
 ertddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepvdehtdelieeghfdtfffhudeuieelje
 efvdevteehkeehkeejtdelfeekheejuedtnecuffhomhgrihhnpehqthdqphhrohhjvggt
 thdrohhrghenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhroh
 hmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:m-zVYeoXB66-NMGiePmzvF193E9_PY974mUKb-GVd9Z1HGAgErfRcg>
 <xmx:m-zVYfoufaz8GLbGnmwLrXdDxWskGHKm8GexeD0HNRXQ_ThUPEZjPw>
 <xmx:m-zVYcQ44IQ1XmZuobWaM2_NsL1rGwyDceLxTTYpjE2aRysiCs_Ypg>
 <xmx:m-zVYYB27bzQbPfFnpTzURqsbRTcyP8JE2HmVew_L5fTlvX4sV5a7g>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 5 Jan 2022 14:08:11 -0500 (EST)
Date: Wed, 5 Jan 2022 14:08:08 -0500
From: Leo Famulari <leo@HIDDEN>
To: Florian Bruhin <me@HIDDEN>
Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <YdXsmASThUQWcivv@HIDDEN>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
 <20220104180457.tgkrnle4nc6ougdr@aragog>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="Egml/mjBb03NNRS0"
Content-Disposition: inline
In-Reply-To: <20220104180457.tgkrnle4nc6ougdr@aragog>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53011
Cc: 53011 <at> debbugs.gnu.org, Jaft <wamm_kd_schmelingski@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Egml/mjBb03NNRS0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Tue, Jan 04, 2022 at 07:04:57PM +0100, Florian Bruhin wrote:
> Alternatively, to fix the issues with missing text, backporting this
> patch should suffice:
> https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/374232

I'm testing this now.

--Egml/mjBb03NNRS0
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAmHV7JgACgkQJkb6MLrK
fwivqQ/6ArK2Wh2q/bxfP2Gkf3Ch2sFbt0uf/DXqT+hNnccgbIvh9WWvuNygHFZx
PV2srDWWkVE4rDtbpoaeYLQ8JYmw3hYjBckyAjI1sSZ1YIYCcZs02lGI0+r//MZN
YfATAsZnOPkpHmuf42R1I3fSZ+DDBoNlKpVqlcGeEx67qbsCSrMUy+mlo8TYjIFY
lI1an5JhXDcIjqncwt7Crr0wBxr2Fs+vAzT62CaBcqxeEgbzy2yRJK8aJPquC9kZ
duw66y8glnHccgAQjdo2DpOeRAien/y9exyGPX74L57SoefaHmSwitMsGjkxLlCV
4BLiBR54QvCALOYO+6XvlT6lXoW6Aw4OeOgACByIKZBt2mon4VktqqHf0o2FkUGJ
fC/i3b6O43LXRboBGk4P5kvO4BNbv2zRDny4TyTm3Vc6no0ul0nUY+XbiEecIDUj
4Sg/xkhWE41Ks6x3GNVMb2XGVkLOKEk5ZxaU5/KvCY157GDnnhx+ZJ49V5Y4ZOI/
ZqrjW2oYpscG9ofO1ao7P70utuTHyLwoEkFdtWYoSgUOYuZ+FyEYV2uXs8HF8Esb
4I/aObNY5iJxKXjq2C4G4dbkYQaY2yJqfVB1m+MSe6h8FdDi/Zaz4I0cCcx7HPZ8
5Xu39DnO10ks4RusPGNiIInvRCBO5lYSAvAuibVXxtZCUATmS2o=
=qGQD
-----END PGP SIGNATURE-----

--Egml/mjBb03NNRS0--




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 5 Jan 2022 07:07:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 05 02:07:57 2022
Received: from localhost ([127.0.0.1]:39429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n50Or-0003uC-DM
	for submit <at> debbugs.gnu.org; Wed, 05 Jan 2022 02:07:57 -0500
Received: from mail-qt1-f182.google.com ([209.85.160.182]:40506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philip@HIDDEN>) id 1n50Op-0003tz-Be
 for 53011 <at> debbugs.gnu.org; Wed, 05 Jan 2022 02:07:55 -0500
Received: by mail-qt1-f182.google.com with SMTP id l17so36600440qtk.7
 for <53011 <at> debbugs.gnu.org>; Tue, 04 Jan 2022 23:07:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=philipmcgrath.com; s=google;
 h=message-id:date:mime-version:user-agent:from:subject:to:references
 :content-language:in-reply-to:content-transfer-encoding;
 bh=86r46j4ewXx/tPpF+2TNzUiznjj0fCzaesxgisEMcrI=;
 b=SGLYkeCRGd1rqgBwbDWkNH9VSZX3bDslvTNuqaEnH+6M66sRip5kMPEELsLoAHUdlb
 2i0U5VaEnXqAtrtNzkMMzXuhk9/SnQ+CWna9QHIaY+nXIl16DrdCRgBDcpW0eHw0NioU
 MdScSjl7V/jp4eJQfNfYZuAdY0mmhGObTDRnC5MUUx5rS/t6pWSh1gk5XuN7tb3KSXaR
 RmmfBlQl5xNhF3Dq+iL/xCPp3C1de4/bz6jNsnXLneMm/5kQ+ams8OPp1dqA+nj57nk9
 El4uBwYLWnhPn6ZWIZrUt+HgHiNN5qCr2wYrYsFINS3Mf8xgSk2ooeWaIBL4C4Fgejad
 jEBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:date:mime-version:user-agent:from
 :subject:to:references:content-language:in-reply-to
 :content-transfer-encoding;
 bh=86r46j4ewXx/tPpF+2TNzUiznjj0fCzaesxgisEMcrI=;
 b=VZyNhSfO1TSFll9g2nZhki9B8rAX50dxqOiKjCfJXJkC6SPlZLvGas47c4igog24a9
 FyMyWodAG9m4F9gVyKiI7xINNpbAN4m37w7+L3zHAXm9nGO1DqnXUIbUtzMuXYYbnEYi
 UpQQGtWAlvLD+aYPHrmPpgjYLcF6dq7zIp2zbhFdJ25GBXGoUoq8BwHL+9hmY6R3W675
 IYyzVPBTrk/T2j3nk0nlZFLcvwNlQ+Jdsk6IkIlD82qU/q6A0DjJFLVkECrx3kzaamx1
 IdjbYNDDm93IfnydmgKXZjOL8v1BadT522lCm+idxiPSwr/4HCVJQ03n3TtgKY21Qxzw
 FN3A==
X-Gm-Message-State: AOAM5309Dad3zQqAP3c2IkgRx/aw75FMaTHgVlZEJsov0BohLWq2Vs4z
 bbTZKANjWM8oWRjrnUQVQSsJGA==
X-Google-Smtp-Source: ABdhPJzAkcJtEv1drYM3SAtZPZIY+TjxWTiNDJGuQSA1a/tKPK+TnxG/9O8sYR0n9fmGPZJCrKUZJg==
X-Received: by 2002:a05:622a:199c:: with SMTP id
 u28mr1245510qtc.95.1641366469815; 
 Tue, 04 Jan 2022 23:07:49 -0800 (PST)
Received: from [192.168.45.37] (c-73-125-89-242.hsd1.fl.comcast.net.
 [73.125.89.242])
 by smtp.gmail.com with ESMTPSA id i7sm34626365qkn.0.2022.01.04.23.07.49
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 04 Jan 2022 23:07:49 -0800 (PST)
Message-ID: <dbddd30e-7507-bbb3-aa69-0a3691214459@HIDDEN>
Date: Wed, 5 Jan 2022 02:07:48 -0500
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.3.1
From: Philip McGrath <philip@HIDDEN>
Subject: Re: Possible to Update qtbase-5 to v5.15.8?
To: Florian Bruhin <me@HIDDEN>,
 Jaft <wamm_kd_schmelingski@HIDDEN>, Leo Famulari <leo@HIDDEN>,
 53011 <at> debbugs.gnu.org
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
 <20220104180457.tgkrnle4nc6ougdr@aragog>
Content-Language: en-US
In-Reply-To: <20220104180457.tgkrnle4nc6ougdr@aragog>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 53011
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

Hi,

On 1/4/22 13:04, Florian Bruhin wrote:
> Hey,
> 
> qutebrowser upstream here.
> 
> On Tue, Jan 04, 2022 at 05:35:54PM +0000, Jaft wrote:
>> Partially because it's the latest version but primarily because there's a bug in the current version for QTwebengine.
> 
> Note that qtbase releases after 5.15.2 are commercial-only
> unfortunately:
> 
> https://www.qt.io/blog/qt-offering-changes-2020
> https://www.qt.io/blog/commercial-lts-qt-5.15.3-released
> 
> However, QtWebEngine source releases are exempt from that, due to
> containing third-party LGPL code, so its source for newer releases is
> publicly available:
> https://code.qt.io/cgit/qt/qtwebengine.git/refs/tags
> 
> Most distributions I'm aware of are still keeping updated with those
> releases, as they should work just fine against an older qtbase.
> 
> Alternatively, to fix the issues with missing text, backporting this
> patch should suffice:
> https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/374232
> 
> However, newer QtWebEngine releases come with a variety of security
> fixes and even a Chromium upgrade (from 83 to 87), so I'd highly
> recommend keeping it up to date.
> 
> Florian
> 

As some of you may know, KDE maintains a carefully curated patch 
collection for Qt 5 consisting strictly of backports from the current 
(QT6-based) development branch of Qt and fixes for removed 
functionality. (They do not increment the Qt version number, to avoid 
any further confusion.) AIUI, this is the same way The Qt Company 
creates their non-public releases for customers using non-free licenses 
(or at least it's what they say they do), though the KDE developers, 
quite reasonably, only backport patches of interest to free software.

Announcement: 
https://dot.kde.org/2021/04/06/announcing-kdes-qt-5-patch-collection
FAQ: https://community.kde.org/Qt5PatchCollection

Using these patches should be as easy as pointing the origin of the 
relevant Guix packages to the kde/5.15 branches of the corresponding 
repositories, e.g. <https://invent.kde.org/qt/qt/qtbase/-/tree/kde/5.15>.

I think this would be the best way to update Guix's qtbase-5 and other 
packages in general. But, as Florian explains, the situation with 
QtWebEngine is even less complicated.

-Philip




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 4 Jan 2022 20:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 04 15:32:17 2022
Received: from localhost ([127.0.0.1]:38860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4qTg-0000Ik-Qh
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 15:32:17 -0500
Received: from devico.uberspace.de ([185.26.156.185]:53316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n4qTd-0000IZ-RX
 for 53011 <at> debbugs.gnu.org; Tue, 04 Jan 2022 15:32:15 -0500
Received: (qmail 4893 invoked by uid 990); 4 Jan 2022 20:32:12 -0000
Authentication-Results: devico.uberspace.de;
	auth=pass (plain)
Date: Tue, 4 Jan 2022 21:32:10 +0100
From: Florian Bruhin <me@HIDDEN>
To: 53011 <at> debbugs.gnu.org
Subject: Re: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <20220104203210.s4b52rccx2xrzexm@aragog>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="kmna4rgw4tsvtpyj"
Content-Disposition: inline
In-Reply-To: <28974452.1530175.1641317754644@HIDDEN>
X-Rspamd-Bar: ---
X-Rspamd-Report: MIME_GOOD(-0.2) MID_RHS_NOT_FQDN(0.5) SIGNED_PGP(-2)
 SUBJECT_ENDS_QUESTION(1) BAYES_HAM(-2.999845)
X-Rspamd-Score: -3.699845
Received: from unknown (HELO unkown) (::1)
 by devico.uberspace.de (Haraka/2.8.28) with ESMTPSA;
 Tue, 04 Jan 2022 21:32:12 +0100
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53011
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--kmna4rgw4tsvtpyj
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

As for qutebrowser, this can be considered a duplicate of:
https://issues.guix.gnu.org/52672 ("qutebrowser 2.4.0 text rendering
broken").

The Anki bug could indeed be the same. If I remember correctly, Anki
does use QtWebEngine.

--=20
            me@HIDDEN | https://www.qutebrowser.org=20
       https://bruhin.software/ | https://github.com/sponsors/The-Compiler/
       GPG: 916E B0C8 FD55 A072 | https://the-compiler.org/pubkey.asc
             I love long mails! | https://email.is-not-s.ms/

--kmna4rgw4tsvtpyj
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEE4E5WAAJAG47w528KkW6wyP1VoHIFAmHUrsYACgkQkW6wyP1V
oHLxfg/+KoIeWbVcHBfppqmMvt644ask8tIoZj4pHu7p8J5D/5J+8I7MheYmzXhv
SM0h+i0xrOwhCIngWBFcgHqVt3xvwrtPU/fi0Nwbj6aHqmPezzn4Q2DzZPZ/n58a
8kSE2ry+aWCDwbocAwGpJe/+9javQ3FyHZLZtivbl1Nn8/K96zREUY6dRfemAHwz
Z68vOq0tTZ3BFJZEP0YsKACf2vpplJ7ADJRPJN8CXdlBuZNBeEH5OGdksqXPNdeh
DnAjjzcanIJyMDvvE/vnBb8sGUGACnCyJyDsZJ3SD5LkluYq0NqGUw1S3Ab+yuMn
eKUNHuz+htiRqMBrLPPuoZxzBqbqL4OJWJGfBrMCHDoUduz8fheaEvBat6fIBTQ5
JBhMpdP3e3FtpfFOxrB+780Cyjq4sH8l414NsduIk7BTRB0+gu2OrcRg8ZgBI/Vt
LfFyIHya3N8TJPWbzdGyg/K9xDj3QS7lzkUXcnonj6MVZLV6DQfqUm/XiV0+13zL
TLaOcoUuIL7XEHIWvkq1PjHsTUAo9fFZDCe/HbnnB16ekcW/aUQt37a0nH+sH1An
Tu4SFK/Jm2bBl+BmeJKVgx/S3bdZ3aGTbSG8mQb0hKz4gRHMSgbe65ZVBU/l7aii
T5rsStMY3FUtDHTPVilpmWS7+QwwmXXAwV5CUQYTJrtmhSWFwTY=
=dbxl
-----END PGP SIGNATURE-----

--kmna4rgw4tsvtpyj--




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 4 Jan 2022 18:05:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 04 13:05:08 2022
Received: from localhost ([127.0.0.1]:38655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4oBD-0002sf-FR
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:05:08 -0500
Received: from devico.uberspace.de ([185.26.156.185]:59546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n4oBB-0002ry-3T
 for 53011 <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:05:02 -0500
Received: (qmail 27520 invoked by uid 990); 4 Jan 2022 18:04:59 -0000
Authentication-Results: devico.uberspace.de;
	auth=pass (plain)
Date: Tue, 4 Jan 2022 19:04:57 +0100
From: Florian Bruhin <me@HIDDEN>
To: Jaft <wamm_kd_schmelingski@HIDDEN>
Subject: Re: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <20220104180457.tgkrnle4nc6ougdr@aragog>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="vv2wjhe54w4voxt6"
Content-Disposition: inline
In-Reply-To: <28974452.1530175.1641317754644@HIDDEN>
X-Rspamd-Bar: ---
X-Rspamd-Report: MIME_GOOD(-0.2) MID_RHS_NOT_FQDN(0.5) SIGNED_PGP(-2)
 SUBJECT_ENDS_QUESTION(1) BAYES_HAM(-2.999517)
X-Rspamd-Score: -3.699517
Received: from unknown (HELO unkown) (::1)
 by devico.uberspace.de (Haraka/2.8.28) with ESMTPSA;
 Tue, 04 Jan 2022 19:04:59 +0100
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53011
Cc: 53011 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--vv2wjhe54w4voxt6
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hey,

qutebrowser upstream here.

On Tue, Jan 04, 2022 at 05:35:54PM +0000, Jaft wrote:
> Partially because it's the latest version but primarily because there's a=
 bug in the current version for QTwebengine.

Note that qtbase releases after 5.15.2 are commercial-only
unfortunately:

https://www.qt.io/blog/qt-offering-changes-2020
https://www.qt.io/blog/commercial-lts-qt-5.15.3-released

However, QtWebEngine source releases are exempt from that, due to
containing third-party LGPL code, so its source for newer releases is
publicly available:
https://code.qt.io/cgit/qt/qtwebengine.git/refs/tags

Most distributions I'm aware of are still keeping updated with those
releases, as they should work just fine against an older qtbase.

Alternatively, to fix the issues with missing text, backporting this
patch should suffice:
https://codereview.qt-project.org/c/qt/qtwebengine-chromium/+/374232

However, newer QtWebEngine releases come with a variety of security
fixes and even a Chromium upgrade (from 83 to 87), so I'd highly
recommend keeping it up to date.

Florian

--=20
            me@HIDDEN | https://www.qutebrowser.org=20
       https://bruhin.software/ | https://github.com/sponsors/The-Compiler/
       GPG: 916E B0C8 FD55 A072 | https://the-compiler.org/pubkey.asc
             I love long mails! | https://email.is-not-s.ms/

--vv2wjhe54w4voxt6
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEE4E5WAAJAG47w528KkW6wyP1VoHIFAmHUjEQACgkQkW6wyP1V
oHJswg//d7pKHALwrCJ3l22Wo3Awz4lDDuzbC9MzVuoe8A1CmZYvuteOXjYXRMQ0
4nJUDO9JM9nEBRPAYOkBYag3+s0Cn1/UKfKac8QDf7GXQbDnk3Nh+uVBBXsurTby
SVq5VE5I+c1OcJpsQqcc5EzSeTim5P9yKUVrF5BcEMisgP6h1B4wRFfw3MtC6aJy
XGEFus9RahzhEMmKBTonQSWBfuRozENHomuWvkEbojCMrvhLxnoDV5fBYc8phBhV
ex92pejYOvjdGUWHqYCDyV7CfFV0nwqrW+zcxYDpFGqkesxBAOPwEObx4M2aqKAa
bm6dAuL/5F98fzFsYpOFXabksd+/mQsnfnMshf70OPMcydmVPBNBjs/6Vs5/FFtR
HfcNri+xhsMDmnr9KLLF4cXDF620FwEKDlx2g0MBacLzzJzbfIKvdLU+rI+BD5d5
D2o/V8yGG0rv/cdrQ1HHZJ2YgiCdVZ7zeIB5UjxADrqLJykd0GNacnIi19RKivjt
wSszJ6QiMBryILUPDwkMTkjtjmQNcKDXKfxQH57DUcrpc230GkRMoz03qbI2iK/d
YHNzDjdhkeLf2Y8Xjye3O1kUBoqLST+fbRO5pcHjL4SlSMcuo4DCTp1GLRwdJ6mf
ayOq/StQnVoQ4dcdkflM4BXFzJfnkgaFpSzw/rpjbWiGXZnFYWo=
=9VqE
-----END PGP SIGNATURE-----

--vv2wjhe54w4voxt6--




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 4 Jan 2022 18:04:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 04 13:04:51 2022
Received: from localhost ([127.0.0.1]:38650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4oB1-0002rZ-5A
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:04:51 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:45803)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n4oAz-0002rC-OT
 for 53011 <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:04:50 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 0C73B3201F32;
 Tue,  4 Jan 2022 13:04:43 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Tue, 04 Jan 2022 13:04:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=lyQLHPqX2E7hd4MoviHehO7rabtfSxadaCoWoCUjkPo=; b=KZpX/FwbS74n
 hytFqACVPMDccXsj5YRHwz4BJvkYC6p2QlevKSZi/AXtaoPyS9OmyCLNv3FVLMAi
 81cCTs/p9HlenbFUDDU9SWi1de9NcGCSIElRW7Y1DY3AwyraZ6t7tuMfK7Tulpq6
 m5cXqSjFgD7Smw6QSWbttdz2FoxzsR0=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; bh=lyQLHPqX2E7hd4MoviHehO7rabtfSxadaCoWoCUjk
 Po=; b=UGOtZk4gzdqWwvUG4WGbqg2FsRQV7qYwz5lwQ/jTKJZJtp2v08fKSzKzG
 bv5UA21NEgZNKpceWVe/Xdw7K8dmoJiZlq/tpa5L3CEUmI3Iklz+/p9wW+StY73H
 aJRBsrgjIrkZSUCXbChE5cwWyQYtJtgnw5+Ky9VEkgaYD2tubVgjLdaE1LvRBIwR
 52bAEyrNrXB1PXwFr5NeGNKcQTpQfmi/6cqLSkM6CT4BthTi+LpNV+nQQdeLK7oF
 AGIkWkyf9xWH58HY9oppVYpHNpV7yzhKz5rKb2iV+ZGrU69XjkrN3ZkXkaxe4oJW
 8TPLXjX2Vebuch7f3p+0srqgNBfNw==
X-ME-Sender: <xms:O4zUYSUmdlSHzlpNyj-r7woJzBKTiV8OX-onl7OryKMksumetyfXtQ>
 <xme:O4zUYemXpaTbxU5LyIvKxEKTm-y-9YSi4I1KFhUs5nXxyt_yjqVtGvs5RuqfTe756
 C2i8T_7KDHTD_oDnw>
X-ME-Received: <xmr:O4zUYWZcKfGllzP9XsHOTKqHvUsr8fte71JQyqivU_H59h_Mm0c2bSyxLApIRFAWKdz5DO9y7yDK5nedMz7IDhRYWA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrudeffedguddtkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggugfgjsehtkeertddttdejnecuhfhrohhmpefnvgho
 ucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrg
 htthgvrhhnpeegfeegvdefheekieefgfetteetfeeggffggedvgedufedvueffheeuveeu
 gefgvdenucffohhmrghinheptghhrhhomhhiuhhmrdhorhhgpdhgnhhurdhorhhgnecuve
 hluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgr
 mhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:O4zUYZVni752m_r_RyZgzExttfH8la4R_teay9dqlNfIb5-VwOxlYQ>
 <xmx:O4zUYcm8ClCwkay-1DBwfEYJ7WqjTxFRtxAjh1HulhF8eTTG0lhSZA>
 <xmx:O4zUYeeTYZIeJk3xyDN9NtOrV9NpiY5BbWerf4Ltn4hhQnWgW2W1Gg>
 <xmx:O4zUYTtgw6NiqR1RSl0_FbcD1mnzIRCyVEAl_tS-TIYf4atHUY4eaQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 4 Jan 2022 13:04:43 -0500 (EST)
Date: Tue, 4 Jan 2022 13:04:41 -0500
From: Leo Famulari <leo@HIDDEN>
To: Jaft via Bug reports for GNU Guix <bug-guix@HIDDEN>
Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <YdSMOd9lJ5p3C0b+@jasmine.lan>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <28974452.1530175.1641317754644@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53011
Cc: 53011 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Jan 04, 2022 at 05:35:54PM +0000, Jaft via Bug reports for GNU Guix wrote:
> Partially because it's the latest version but primarily because there's a bug in the current version for QTwebengine.
> As detailed at r/qutebrowser - Comment by u/The-Compiler on ”WebGL blacklisted on Guix”, most text gets broken (https://bugs.chromium.org/p/chromium/issues/detail?id=1164975); I haven't tried other browsers but I've experienced this with Qutebrowser, currently.
> It seems the issue was addressed in QT v5.15.7 so an update to, at least, that would, theoretically, solve the problem.

I wonder if this is related to <https://issues.guix.gnu.org/52993>
("There is a problem with text rendering in the anki").




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jan 2022 18:04:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 04 13:04:51 2022
Received: from localhost ([127.0.0.1]:38648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4oB0-0002rR-St
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:04:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:54618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n4oAy-0002rK-IF
 for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:04:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40090)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1n4oAy-00014E-Dm
 for bug-guix@HIDDEN; Tue, 04 Jan 2022 13:04:48 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:38893)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1n4oAw-0004GP-Nq
 for bug-guix@HIDDEN; Tue, 04 Jan 2022 13:04:48 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 0C73B3201F32;
 Tue,  4 Jan 2022 13:04:43 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Tue, 04 Jan 2022 13:04:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=lyQLHPqX2E7hd4MoviHehO7rabtfSxadaCoWoCUjkPo=; b=KZpX/FwbS74n
 hytFqACVPMDccXsj5YRHwz4BJvkYC6p2QlevKSZi/AXtaoPyS9OmyCLNv3FVLMAi
 81cCTs/p9HlenbFUDDU9SWi1de9NcGCSIElRW7Y1DY3AwyraZ6t7tuMfK7Tulpq6
 m5cXqSjFgD7Smw6QSWbttdz2FoxzsR0=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; bh=lyQLHPqX2E7hd4MoviHehO7rabtfSxadaCoWoCUjk
 Po=; b=UGOtZk4gzdqWwvUG4WGbqg2FsRQV7qYwz5lwQ/jTKJZJtp2v08fKSzKzG
 bv5UA21NEgZNKpceWVe/Xdw7K8dmoJiZlq/tpa5L3CEUmI3Iklz+/p9wW+StY73H
 aJRBsrgjIrkZSUCXbChE5cwWyQYtJtgnw5+Ky9VEkgaYD2tubVgjLdaE1LvRBIwR
 52bAEyrNrXB1PXwFr5NeGNKcQTpQfmi/6cqLSkM6CT4BthTi+LpNV+nQQdeLK7oF
 AGIkWkyf9xWH58HY9oppVYpHNpV7yzhKz5rKb2iV+ZGrU69XjkrN3ZkXkaxe4oJW
 8TPLXjX2Vebuch7f3p+0srqgNBfNw==
X-ME-Sender: <xms:O4zUYSUmdlSHzlpNyj-r7woJzBKTiV8OX-onl7OryKMksumetyfXtQ>
 <xme:O4zUYemXpaTbxU5LyIvKxEKTm-y-9YSi4I1KFhUs5nXxyt_yjqVtGvs5RuqfTe756
 C2i8T_7KDHTD_oDnw>
X-ME-Received: <xmr:O4zUYWZcKfGllzP9XsHOTKqHvUsr8fte71JQyqivU_H59h_Mm0c2bSyxLApIRFAWKdz5DO9y7yDK5nedMz7IDhRYWA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrudeffedguddtkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggugfgjsehtkeertddttdejnecuhfhrohhmpefnvgho
 ucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrg
 htthgvrhhnpeegfeegvdefheekieefgfetteetfeeggffggedvgedufedvueffheeuveeu
 gefgvdenucffohhmrghinheptghhrhhomhhiuhhmrdhorhhgpdhgnhhurdhorhhgnecuve
 hluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgr
 mhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:O4zUYZVni752m_r_RyZgzExttfH8la4R_teay9dqlNfIb5-VwOxlYQ>
 <xmx:O4zUYcm8ClCwkay-1DBwfEYJ7WqjTxFRtxAjh1HulhF8eTTG0lhSZA>
 <xmx:O4zUYeeTYZIeJk3xyDN9NtOrV9NpiY5BbWerf4Ltn4hhQnWgW2W1Gg>
 <xmx:O4zUYTtgw6NiqR1RSl0_FbcD1mnzIRCyVEAl_tS-TIYf4atHUY4eaQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 4 Jan 2022 13:04:43 -0500 (EST)
Date: Tue, 4 Jan 2022 13:04:41 -0500
From: Leo Famulari <leo@HIDDEN>
To: Jaft via Bug reports for GNU Guix <bug-guix@HIDDEN>
Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <YdSMOd9lJ5p3C0b+@jasmine.lan>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <28974452.1530175.1641317754644@HIDDEN>
Received-SPF: pass client-ip=64.147.123.25; envelope-from=leo@HIDDEN;
 helo=wout2-smtp.messagingengine.com
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 53011 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Tue, Jan 04, 2022 at 05:35:54PM +0000, Jaft via Bug reports for GNU Guix wrote:
> Partially because it's the latest version but primarily because there's a bug in the current version for QTwebengine.
> As detailed at r/qutebrowser - Comment by u/The-Compiler on ”WebGL blacklisted on Guix”, most text gets broken (https://bugs.chromium.org/p/chromium/issues/detail?id=1164975); I haven't tried other browsers but I've experienced this with Qutebrowser, currently.
> It seems the issue was addressed in QT v5.15.7 so an update to, at least, that would, theoretically, solve the problem.

I wonder if this is related to <https://issues.guix.gnu.org/52993>
("There is a problem with text rendering in the anki").




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at 53011 <at> debbugs.gnu.org:


Received: (at 53011) by debbugs.gnu.org; 4 Jan 2022 18:03:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 04 13:03:35 2022
Received: from localhost ([127.0.0.1]:38638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4o9n-0002pC-AW
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:03:35 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:32929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n4o9m-0002oz-H7
 for 53011 <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:03:34 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 8D48E3200657;
 Tue,  4 Jan 2022 13:03:28 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Tue, 04 Jan 2022 13:03:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=92qcXZJN6aSj5PDPOPzL68pD
 LM4JgXKaSRNcIrdWgxQ=; b=Fhyrbf/y4FEwg/qzVSykCV3azt2zs4ouSnuHY3Hs
 cYL2wuJsVp3tekKRxDaLbeoaCK+85EelPdyCMev96JL6DzhzDIsDtBwXN+ki39ED
 9aVBFJrQ+Jaxul9PKzyfbdOCxwdzL9/rA0tqxFdVskdbyDaITt35m3qgLLlhKvg2
 NZA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=92qcXZ
 JN6aSj5PDPOPzL68pDLM4JgXKaSRNcIrdWgxQ=; b=eUw2e8z60ynltTluSqAmf7
 TCZ25Zs5fF72AdP+xaAMeoygX0ftCZyu7qob50hrNY8mtUKUsGoHB5xro7fe1Re5
 k6HmiRzy89KnH3hGgBR76QleRFyEg8/OWAbkOJ2EvM13CQq4eNgvaSZXbbf0mSQy
 2yh0HSq6NWFljucPcUt76dU1bR9pPh684KhNzYYYLZNr51DWoqSx7FZ5aBo9u22L
 QINWYfIOXE3fFntJeL4zO/i0maMKhKDr9cLLEFwzX4QBRcDuVwj2T2atk0mDPGaX
 BIyM5RcUfRZqg80SI4zJEnSYkCNTA7OmR1pZh3MrFF6xfGPmQSfve/PZOU4RuqyQ
 ==
X-ME-Sender: <xms:74vUYRuXw0Z3bAZn3all_rdUmeoTema4KPZqqKLpt0Rmb6VN9VND5w>
 <xme:74vUYae049nqo1tIAqVsDhwng-WbasrbANSwmCdGc7gG2tmsC0EHaHO9ZMyatUT3J
 zbMPyJcQq3c21XpXQ>
X-ME-Received: <xmr:74vUYUxNlq2ppo9tzltyJR1ADH5PMSpIA_QdLLBWQsw8pUulK7Oq2TYNFmJdOKduOoY1AmM5VGtNY6UXrJM8GH2hwA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrudeffedguddtkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggujgesghdtreertddtjeenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepiefghfeffedtffekveektddtieekfeffledtgfevkeekteeufedtfefhgefh
 keefnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:74vUYYOdZGHIsmML08tJtrPuk98pOtOZIlyi17Yh3OVPYlyYSdjhOA>
 <xmx:74vUYR-HYuhLV7PCsLcyBEJSeR2CCPsyyzKx08sV1OfTvGJReWkexQ>
 <xmx:74vUYYX-02ryvYmIzSUvJJwVv0caOYASz4_yms6DKlCEEziFQI7YQQ>
 <xmx:8IvUYeFHq0IKI5muoc3JCG4cNin6sWsrwtBqgJL0cIuB3S5aq3SOiw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 4 Jan 2022 13:03:27 -0500 (EST)
Date: Tue, 4 Jan 2022 13:03:26 -0500
From: Leo Famulari <leo@HIDDEN>
To: Jaft via Bug reports for GNU Guix <bug-guix@HIDDEN>
Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <YdSL7iyzCSGUixNT@HIDDEN>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="hEsmjrxDERAb2Z88"
Content-Disposition: inline
In-Reply-To: <28974452.1530175.1641317754644@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53011
Cc: 53011 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--hEsmjrxDERAb2Z88
Content-Type: multipart/mixed; boundary="lL+vhtO41EiY1Fpt"
Content-Disposition: inline


--lL+vhtO41EiY1Fpt
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jan 04, 2022 at 05:35:54PM +0000, Jaft via Bug reports for GNU Guix=
 wrote:
> As detailed at r/qutebrowser - Comment by u/The-Compiler on =E2=80=9DWebG=
L blacklisted on Guix=E2=80=9D

I'm copying this report here:

------
I have installed Qutebrowser on Guix but when I open pages like Github
the page does not render some of It's elements (this happens with alot
of other pages aswell) so I lunched qutebrowser from the terminal to see
anything suspicious and found these error messages:

Error Messages

The error messages of WebGL being blacklisted come up exactly when I
launch pages like Github.

BTW: no config was used. However, the error also happens with my config.

I am running the latest version of Qutebrowser BTW.
------

And the "Error Messages" are unfortunately an image, which I've
attached.

--lL+vhtO41EiY1Fpt
Content-Type: application/octet-stream
Content-Disposition: attachment; filename="error messages.webp"
Content-Transfer-Encoding: base64
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--lL+vhtO41EiY1Fpt--

--hEsmjrxDERAb2Z88
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAmHUi+4ACgkQJkb6MLrK
fwiyjBAAkGhKhzcU5iJuvRuJv/Nc6RDA3Wf49I2ZMO2uBo9676obrEYowOu4Exeg
U9cnGSYG+miKVxQoOSpIgxTVsp1HPLBJ5kZktNKt+ZV0ZbN0zbFQve/WmKfO7sWI
wflE8eg4PC41pEfsD7P3SgvpdvEk2eJdhqVwMm0ADPdo5ffGAvUufbmVxZ39+qGd
8qGK3uguBXbp87890iHzlZFPD8GNtOZRVZ0EHFE3Cio38iWnq6Yhazhu4+5seSsH
142EBWwy6dQlNZ6yRTxkfMZxyix5+/QB2OoWHzrhQKuXkagfb1K2DD8djt/fc59C
0TppoDkdmC2Em/NK4r0o5cWOxCAa+k/sTNm4KRaZM7hI2HjvHSC49hF51nRgjtgg
zvXIKWF0ejX5QKw9cwdwRGFwIiJwwaO+DFTA+oTlf7yhpH3Nq8ayaz3s+PhReC/A
8Iq+uSWLUKxrBkvd49SAYtW+0OJlUdj4J5DjpIpXC8PZ0hwWEltofS6ggyf6nPjY
pA474kNlgKKnYGTH2Gdr1/3KrdXS2e/OrJRe0UFYYmI8k9dUDklT9pbmkeNFTIws
92K/WiAFtFdnXhpWDfQFKSrALr6yD5+pGtXEGPdO+5nyGlT0erIDjijzu5TI9wmM
ETrSyd+BBCzURs4lyHGT+2upaAuawreBEkSkzb2FSxQrhb/nmAA=
=IkJ1
-----END PGP SIGNATURE-----

--hEsmjrxDERAb2Z88--




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jan 2022 18:03:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 04 13:03:38 2022
Received: from localhost ([127.0.0.1]:38640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4o9q-0002pR-IE
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:03:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:50402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n4o9m-0002p5-3Y
 for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 13:03:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39720)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1n4o9l-0006gL-Qm
 for bug-guix@HIDDEN; Tue, 04 Jan 2022 13:03:33 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:48835)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1n4o9j-000478-CK
 for bug-guix@HIDDEN; Tue, 04 Jan 2022 13:03:33 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 8D48E3200657;
 Tue,  4 Jan 2022 13:03:28 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Tue, 04 Jan 2022 13:03:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=92qcXZJN6aSj5PDPOPzL68pD
 LM4JgXKaSRNcIrdWgxQ=; b=Fhyrbf/y4FEwg/qzVSykCV3azt2zs4ouSnuHY3Hs
 cYL2wuJsVp3tekKRxDaLbeoaCK+85EelPdyCMev96JL6DzhzDIsDtBwXN+ki39ED
 9aVBFJrQ+Jaxul9PKzyfbdOCxwdzL9/rA0tqxFdVskdbyDaITt35m3qgLLlhKvg2
 NZA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=92qcXZ
 JN6aSj5PDPOPzL68pDLM4JgXKaSRNcIrdWgxQ=; b=eUw2e8z60ynltTluSqAmf7
 TCZ25Zs5fF72AdP+xaAMeoygX0ftCZyu7qob50hrNY8mtUKUsGoHB5xro7fe1Re5
 k6HmiRzy89KnH3hGgBR76QleRFyEg8/OWAbkOJ2EvM13CQq4eNgvaSZXbbf0mSQy
 2yh0HSq6NWFljucPcUt76dU1bR9pPh684KhNzYYYLZNr51DWoqSx7FZ5aBo9u22L
 QINWYfIOXE3fFntJeL4zO/i0maMKhKDr9cLLEFwzX4QBRcDuVwj2T2atk0mDPGaX
 BIyM5RcUfRZqg80SI4zJEnSYkCNTA7OmR1pZh3MrFF6xfGPmQSfve/PZOU4RuqyQ
 ==
X-ME-Sender: <xms:74vUYRuXw0Z3bAZn3all_rdUmeoTema4KPZqqKLpt0Rmb6VN9VND5w>
 <xme:74vUYae049nqo1tIAqVsDhwng-WbasrbANSwmCdGc7gG2tmsC0EHaHO9ZMyatUT3J
 zbMPyJcQq3c21XpXQ>
X-ME-Received: <xmr:74vUYUxNlq2ppo9tzltyJR1ADH5PMSpIA_QdLLBWQsw8pUulK7Oq2TYNFmJdOKduOoY1AmM5VGtNY6UXrJM8GH2hwA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvuddrudeffedguddtkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggujgesghdtreertddtjeenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepiefghfeffedtffekveektddtieekfeffledtgfevkeekteeufedtfefhgefh
 keefnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:74vUYYOdZGHIsmML08tJtrPuk98pOtOZIlyi17Yh3OVPYlyYSdjhOA>
 <xmx:74vUYR-HYuhLV7PCsLcyBEJSeR2CCPsyyzKx08sV1OfTvGJReWkexQ>
 <xmx:74vUYYX-02ryvYmIzSUvJJwVv0caOYASz4_yms6DKlCEEziFQI7YQQ>
 <xmx:8IvUYeFHq0IKI5muoc3JCG4cNin6sWsrwtBqgJL0cIuB3S5aq3SOiw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 4 Jan 2022 13:03:27 -0500 (EST)
Date: Tue, 4 Jan 2022 13:03:26 -0500
From: Leo Famulari <leo@HIDDEN>
To: Jaft via Bug reports for GNU Guix <bug-guix@HIDDEN>
Subject: Re: bug#53011: Possible to Update qtbase-5 to v5.15.8?
Message-ID: <YdSL7iyzCSGUixNT@HIDDEN>
References: <28974452.1530175.1641317754644.ref@HIDDEN>
 <28974452.1530175.1641317754644@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="hEsmjrxDERAb2Z88"
Content-Disposition: inline
In-Reply-To: <28974452.1530175.1641317754644@HIDDEN>
Received-SPF: pass client-ip=64.147.123.25; envelope-from=leo@HIDDEN;
 helo=wout2-smtp.messagingengine.com
X-Spam_score_int: -8
X-Spam_score: -0.9
X-Spam_bar: /
X-Spam_report: (-0.9 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 53011 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--hEsmjrxDERAb2Z88
Content-Type: multipart/mixed; boundary="lL+vhtO41EiY1Fpt"
Content-Disposition: inline


--lL+vhtO41EiY1Fpt
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jan 04, 2022 at 05:35:54PM +0000, Jaft via Bug reports for GNU Guix=
 wrote:
> As detailed at r/qutebrowser - Comment by u/The-Compiler on =E2=80=9DWebG=
L blacklisted on Guix=E2=80=9D

I'm copying this report here:

------
I have installed Qutebrowser on Guix but when I open pages like Github
the page does not render some of It's elements (this happens with alot
of other pages aswell) so I lunched qutebrowser from the terminal to see
anything suspicious and found these error messages:

Error Messages

The error messages of WebGL being blacklisted come up exactly when I
launch pages like Github.

BTW: no config was used. However, the error also happens with my config.

I am running the latest version of Qutebrowser BTW.
------

And the "Error Messages" are unfortunately an image, which I've
attached.

--lL+vhtO41EiY1Fpt
Content-Type: application/octet-stream
Content-Disposition: attachment; filename="error messages.webp"
Content-Transfer-Encoding: base64
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--lL+vhtO41EiY1Fpt--

--hEsmjrxDERAb2Z88
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAmHUi+4ACgkQJkb6MLrK
fwiyjBAAkGhKhzcU5iJuvRuJv/Nc6RDA3Wf49I2ZMO2uBo9676obrEYowOu4Exeg
U9cnGSYG+miKVxQoOSpIgxTVsp1HPLBJ5kZktNKt+ZV0ZbN0zbFQve/WmKfO7sWI
wflE8eg4PC41pEfsD7P3SgvpdvEk2eJdhqVwMm0ADPdo5ffGAvUufbmVxZ39+qGd
8qGK3uguBXbp87890iHzlZFPD8GNtOZRVZ0EHFE3Cio38iWnq6Yhazhu4+5seSsH
142EBWwy6dQlNZ6yRTxkfMZxyix5+/QB2OoWHzrhQKuXkagfb1K2DD8djt/fc59C
0TppoDkdmC2Em/NK4r0o5cWOxCAa+k/sTNm4KRaZM7hI2HjvHSC49hF51nRgjtgg
zvXIKWF0ejX5QKw9cwdwRGFwIiJwwaO+DFTA+oTlf7yhpH3Nq8ayaz3s+PhReC/A
8Iq+uSWLUKxrBkvd49SAYtW+0OJlUdj4J5DjpIpXC8PZ0hwWEltofS6ggyf6nPjY
pA474kNlgKKnYGTH2Gdr1/3KrdXS2e/OrJRe0UFYYmI8k9dUDklT9pbmkeNFTIws
92K/WiAFtFdnXhpWDfQFKSrALr6yD5+pGtXEGPdO+5nyGlT0erIDjijzu5TI9wmM
ETrSyd+BBCzURs4lyHGT+2upaAuawreBEkSkzb2FSxQrhb/nmAA=
=IkJ1
-----END PGP SIGNATURE-----

--hEsmjrxDERAb2Z88--




Information forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jan 2022 17:36:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 04 12:36:53 2022
Received: from localhost ([127.0.0.1]:38597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n4njw-00027h-MX
	for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 12:36:52 -0500
Received: from lists.gnu.org ([209.51.188.17]:37254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wamm_kd_schmelingski@HIDDEN>) id 1n4nju-00027Z-9O
 for submit <at> debbugs.gnu.org; Tue, 04 Jan 2022 12:36:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60596)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wamm_kd_schmelingski@HIDDEN>)
 id 1n4njt-0002fy-R6
 for bug-guix@HIDDEN; Tue, 04 Jan 2022 12:36:50 -0500
Received: from sonic308-9.consmr.mail.ne1.yahoo.com ([66.163.187.32]:42726)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wamm_kd_schmelingski@HIDDEN>)
 id 1n4njn-0006Sn-OA
 for bug-guix@HIDDEN; Tue, 04 Jan 2022 12:36:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641317799; bh=yOqDS0/IMPDYJxwdbMl0DNTjwF6f/0csVKxZEnifWWo=;
 h=Date:From:To:Subject:References:From:Subject:Reply-To;
 b=EDwFnf92yEOpaBL5zXPDvgl6ciuVa/OmH066zM8cP+ZH71tt9RB0SbiBUGxtLSOocefGYqBKEDyz4/2RzcKaHYAHQi4/DnOHJpKU4sPhkVtPBmYIvFdYqK7hrbrQDacPyJVQXA/C973Fd3+E+QatorAjSsVXPxkvoFJvofM0zsbHUuBB1eBHQYLaVtuFue/t0aUR3NiV6/eLPQ92bb4n7UJi76DC6r4FHsuuKQnZxMvnUtEcwOVjR9levYUkOKESFhuOmsYSUZrx+aG3RwpekfWA5ReTCu/F05yN0UXVwaX/flQTYsLtU1EDFVqoBFX9c7fXhPkYqmZhIqjeb3/sjQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641317799; bh=E/pmLGS3gha6ZD1evm33bWcHmql2psfYGyY05uyYtEl=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=FKaIYYBiCeDD3WJo7tMJ6PSzqQhMMHaUfq8xnLW1aylr8Gr+lqqUXtWdbxWWGogkPKkTkGbQq01YFfaTqCLiGIBw3965wo9MHoOSv36D7amo/w9nG7fO35bdzjil5MCzhE+NlApU9zfvs0lrH/XRfE1OepP9lNuSDkaOMupmeSA/C4AdikDnUhGap1Gdf6cxDSwW49GQ+puHM93V/uadgEoNvmtdQvPKdlUgyFtrLGTbD+fCU4wPwWXpndQwRHNCaPGfWsElhHRe2d+NZ1JqQ4w2AuwFg5rQsawz8u7jNzlHkI9pZ7BCH0VpRZsRhVA73mV5Oolw4BQUcM0gWS/bpQ==
X-YMail-OSG: i11UnzYVM1kgZDJXOECuaaDGzn3sXjZ_gSDn4d5Tez6GVhkBAphhHSUvWYyhw4V
 LMuM33uB7nCdlTVBTfbrVPQgBFJB0dowhVKQmuxoCB0LiOwHsB9SpMyH6SND68ojXTHigJNz_elG
 1o6seMXiCABDcqfBFeIWithwQr79Zylso.1ij72SVWXP79_up4vxcwslAEZAzVJP6uYG_OxRM28t
 O2uKh1zWBR33Tkr4bpFktqCq9974T86pH0gjL6Jhszp6i0SYNB57_haPxh15e9JLWP.JGnn77olJ
 hixJrpyp11JsXgM5m2WlWHBSJls2EKkoROn.IGMMyp32h65bAChmmJ___b8_LZOE0CwoNZU.BMrf
 a8B679UfEBSt3v6UjcYkFyjEoddJgJdOWuT85QrQgtSJ6nRz8uwjV8haqDrEtoMsqTXLb849gAxq
 qhpzudb83LCD3wOgboYMIu03OIGI1y8HoSdL_8pHzUp44VPMi4Z79lE1OVH4lpg7WXcJG3_RyDz9
 69MaJdI5Hm0IP5p0UHqaPhETIPPUguUQ5Eo5vr3FFkH6yQ27p6fKubusZLTZA6lzjqS4kJ4o0Sd5
 1gkfy8yKlZFAEeRC7C0vVpSIjThCRG6uOpXq2XOb4LsO_uxCZCaH4zRsZAu2Z3d.ZrzsYtQxwjY3
 _8jyyS8WkfeRrOCjWS92nmD52ub0uBgNM2_7XO8KcFm0NzOd.X75i5IKCsJh8xEAOXsItmzM3x_.
 pZPlBN8NN5Tnt97ZC1K.dcjELrK9L29DHGpjnUNJ.O7eZtwsMK1CsHTekco0utjWosxs5Zta8HpJ
 AH3PAZfvqZR16tG6NS8sR04WY7CBtmM2NHzY_HnN0lgbmbwop0tjasmw.LDp4CqdAGXhUWBU8QZr
 AVvDK772fi9Ugi50C03ZaNT3gxkkvUlyRY.2Z0qxexXrsHnHPFjaU9SJFKRK20DfK4xNH2UJVFIl
 I2YGtx3Utj47zOti8wp5lWB4bCJ6mNxCeKH0bpu12fQ80hBOhR2wSRb1tFgWfZ.W4NUaaKPbsed9
 Hh2ViPZCMA6ia2w76__cFoOdlGOnV2R4YfBtUZwa1txVARiHcTc9lB.fGDd.SFa2BpuXihDAsVZ_
 nEJqEp7lqWE4_YW8q3I0pP8hZidRTKgFodf1x.I7vAd.CiYEjwB.TPTyi2LKeQVWrM3BdfoOA9zH
 Pwb_rPyVCM1zW6d5cxaUb8wXVWLc.6Z3sdwjz2GqANboL2KkUWfkA75BX_BjWF28NAk_YLfRxAna
 2hlV4ZyOwLwDf9Q5z4ZOYI7tS3Mfj.Si.kv_EOqIYBFRGNjojZh9xID6BYAZN7AXk9a2H9d.EouK
 p85MGbxXjx.sVMqPV6d94tviDvUGxynZHaOWPRTKspglhCKK2Jra2iRtXWnlt61Ims8R6Q2DTKKr
 3m8gnkYhT4uqeovGt9YUP3k4LOiqGfFZ3PRWCX7KD62vb5InpaQkdmmEeQfVAHfsgRSoK8lrClC9
 jZDJZyyOx_Mkj7YvVWIoi4DM4I635H7bpE5Kk_CkjhnwLNZryDN.Qf6qKYmWX5mkSlF3bWuFI5dH
 DgH_yYw5LvuobBuWNjYYUs0Sr8e9y20eym09tI6PkvoD9YksYzh60zJWeRg5KpERLqX2Uu10vTIS
 OUY0iqS952hpC7G3MLFRzNu2a_5K_Wml9jy4s3Ir9DnObELKp1XIYF7AjVoffgj_9e2QuGqIosnv
 _kvAAG5M.NVMpAtoBY9jyxyRt0oMgo2FMNID1WbCN_EupYr60s4zv3J7V6e.j.BTDoeeWCoHftEe
 nlOt5TsgLPkkbE6B0.u2pycPYOk8p9E6O6NLIQ34TJBZLpEE2QMp.Stnp0Zlsdx7Ta80b9OwPQKU
 XcDv.DjhJ.6sqwguV..cZG8CNekmACtSbtXuP.FqoHqFxFAiNcRf54HSq93lwqbA7Wx38fqvGCg6
 SMydnIZHXHw9i.YzMUewXNBRfmm4n.UGbavOn8wNwn0ikrY_zQYsd8druM.nlE4F9AuRZb_3n4wa
 P6NFXKFAtWBNxFO.4uDq2W0Wh1xvgel4tKfCItD3_bTe9_y6KZhTGc4Nb.v_VrippxQIQDiMxRJ9
 BPB9dAnYk830E5HvbN6RqWFcWfZDxCtrXcu40tEARIb9bCgLVNpGR4tLqZTqOmptzxAhr9.rnl0s
 nZ.pqMy_fCWpyxiz7lAuXHxchqFb9e4dsEcOUIVvvhLUldTdnt8wP3pjULMMuq2WVZFBOpPQUwyP
 nMnOZ6Mh1AD9ehKZB3UDgeP64Io2d4Dedj3.ZNibHLpe48SQ9VoHQd9o-
X-Sonic-MF: <wamm_kd_schmelingski@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Tue, 4 Jan 2022 17:36:39 +0000
Date: Tue, 4 Jan 2022 17:35:54 +0000 (UTC)
From: Jaft <wamm_kd_schmelingski@HIDDEN>
To: bug-guix@HIDDEN
Message-ID: <28974452.1530175.1641317754644@HIDDEN>
Subject: Possible to Update qtbase-5 to v5.15.8?
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_1530174_1374477683.1641317754642"
References: <28974452.1530175.1641317754644.ref@HIDDEN>
X-Mailer: WebService/1.1.19551 YMailNorrin
Content-Length: 7563
Received-SPF: pass client-ip=66.163.187.32;
 envelope-from=wamm_kd_schmelingski@HIDDEN;
 helo=sonic308-9.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

------=_Part_1530174_1374477683.1641317754642
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Partially because it's the latest version but primarily because there's a b=
ug in the current version for QTwebengine.
As detailed at r/qutebrowser - Comment by u/The-Compiler on =E2=80=9DWebGL =
blacklisted on Guix=E2=80=9D, most text gets broken (https://bugs.chromium.=
org/p/chromium/issues/detail?id=3D1164975); I haven't tried other browsers =
but I've experienced this with Qutebrowser, currently.
It seems the issue was addressed in QT v5.15.7 so an update to, at least, t=
hat would, theoretically, solve the problem.


|=20
|=20
|=20
|  |  |

 |

 |
|=20
|  |=20
r/qutebrowser - Comment by u/The-Compiler on =E2=80=9DWebGL blacklisted on =
Guix=E2=80=9D

4 votes and 8 comments so far on Reddit
 |

 |

 |




------=_Part_1530174_1374477683.1641317754642
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html xmlns=3D"http://www.w3.org/1999/xhtml" xmlns:v=3D"urn:schemas-microso=
ft-com:vml" xmlns:o=3D"urn:schemas-microsoft-com:office:office"><head><!--[=
if gte mso 9]><xml><o:OfficeDocumentSettings><o:AllowPNG/><o:PixelsPerInch>=
96</o:PixelsPerInch></o:OfficeDocumentSettings></xml><![endif]--></head><bo=
dy><div class=3D"yahoo-style-wrap" style=3D"font-family:Helvetica Neue, Hel=
vetica, Arial, sans-serif;font-size:13px;"><div dir=3D"ltr" data-setdir=3D"=
false">Partially because it's the latest version but primarily because ther=
e's a bug in the current version for QTwebengine.</div><div dir=3D"ltr" dat=
a-setdir=3D"false"><br></div><div dir=3D"ltr" data-setdir=3D"false">As deta=
iled at <a href=3D"https://www.reddit.com/r/qutebrowser/comments/rtidva/com=
ment/hr1zxoj/?utm_source=3Dshare&amp;utm_medium=3Dweb2x&amp;context=3D3," r=
el=3D"nofollow" target=3D"_blank" class=3D"enhancr_card_1619056849">r/quteb=
rowser - Comment by u/The-Compiler on =E2=80=9DWebGL blacklisted on Guix=E2=
=80=9D</a>, most text gets broken (https://bugs.chromium.org/p/chromium/iss=
ues/detail?id=3D1164975); I haven't tried other browsers but I've experienc=
ed this with Qutebrowser, currently.</div><div dir=3D"ltr" data-setdir=3D"f=
alse"><br></div><div dir=3D"ltr" data-setdir=3D"false">It seems the issue w=
as addressed in QT v5.15.7 so an update to, at least, that would, theoretic=
ally, solve the problem.<br></div><div><br></div><div id=3D"ydpc5191476enha=
ncr_card_1619056849" class=3D"ydpc5191476yahoo-link-enhancr-card ydpc519147=
6ymail-preserve-class ydpc5191476ymail-preserve-style" style=3D"max-width:4=
00px;font-family:YahooSans, &quot;Helvetica Neue&quot;, &quot;Segoe UI&quot=
;, Helvetica, Arial, sans-serif" data-url=3D"https://www.reddit.com/r/quteb=
rowser/comments/rtidva/comment/hr1zxoj/?utm_source=3Dshare&amp;utm_medium=
=3Dweb2x&amp;context=3D3," data-type=3D"YENHANCER" data-size=3D"MEDIUM" con=
tenteditable=3D"false"><a href=3D"https://www.reddit.com/r/qutebrowser/comm=
ents/rtidva/comment/hr1zxoj/?utm_source=3Dshare&amp;utm_medium=3Dweb2x&amp;=
context=3D3," style=3D"text-decoration-line: none !important; text-decorati=
on-style: solid !important; text-decoration-color: currentcolor !important;=
 color: rgb(0, 0, 0) !important;" class=3D"ydpc5191476yahoo-enhancr-cardlin=
k" rel=3D"nofollow" target=3D"_blank"><table class=3D"ydpc5191476card-wrapp=
er ydpc5191476yahoo-ignore-table" style=3D"max-width:400px" cellspacing=3D"=
0" cellpadding=3D"0" border=3D"0"><tbody><tr><td width=3D"400"><table class=
=3D"ydpc5191476card ydpc5191476yahoo-ignore-table" style=3D"max-width:400px=
;border-width:1px;border-style:solid;border-color:rgb(224, 228, 233);border=
-radius:2px" width=3D"100%" cellspacing=3D"0" cellpadding=3D"0" border=3D"0=
"><tbody><tr><td class=3D"ydpc5191476card-primary-image-cell" style=3D"back=
ground-color: rgb(0, 0, 0); background-repeat: no-repeat; background-size: =
cover; position: relative; border-radius: 2px 2px 0px 0px; min-height: 175p=
x;" valign=3D"top" height=3D"175" bgcolor=3D"#000000" background=3D"https:/=
/s.yimg.com/lo/api/res/1.2/7OYRPgYldxayIHeoDadX_Q--~A/Zmk9ZmlsbDt3PTQwMDtoP=
TIwMDthcHBpZD1pZXh0cmFjdA--/https://styles.redditmedia.com/t5_3dy3w/styles/=
communityIcon_0ogo8yjkj6i31.png?width=3D256&amp;s=3Dd8b277122a7383a5591a869=
ff4b8e6820c2ed055.cf.jpg"><!--[if gte mso 9]><v:rect fill=3D"true" stroke=
=3D"false" style=3D"width:396px;height:175px;position:absolute;top:0;left:0=
;"><v:fill type=3D"frame" color=3D"#000000" src=3D"https://s.yimg.com/lo/ap=
i/res/1.2/7OYRPgYldxayIHeoDadX_Q--~A/Zmk9ZmlsbDt3PTQwMDtoPTIwMDthcHBpZD1pZX=
h0cmFjdA--/https://styles.redditmedia.com/t5_3dy3w/styles/communityIcon_0og=
o8yjkj6i31.png?width=3D256&s=3Dd8b277122a7383a5591a869ff4b8e6820c2ed055.cf.=
jpg"/></v:rect><![endif]--><table class=3D"ydpc5191476card-overlay-containe=
r-table ydpc5191476yahoo-ignore-table" style=3D"width:100%" cellspacing=3D"=
0" cellpadding=3D"0" border=3D"0"><tbody><tr><td class=3D"ydpc5191476card-o=
verlay-cell" style=3D"background-color: transparent; border-radius: 2px 2px=
 0px 0px; min-height: 175px;" valign=3D"top" bgcolor=3D"transparent" backgr=
ound=3D"https://s.yimg.com/cv/ae/nq/storm/assets/enhancrV21/1/enhancr_gradi=
ent-400x175.png"><!--[if gte mso 9]><v:rect fill=3D"true" stroke=3D"false" =
style=3D"width:396px;height:175px;position:absolute;top:-18px;left:0;"><v:f=
ill type=3D"pattern" color=3D"#000000" src=3D"https://s.yimg.com/cv/ae/nq/s=
torm/assets/enhancrV21/1/enhancr_gradient-400x175.png"/><v:textbox inset=3D=
"0,0,20px,0"><![endif]--><table class=3D"ydpc5191476yahoo-ignore-table" sty=
le=3D"width: 100%; min-height: 175px;" height=3D"175" border=3D"0"><tbody><=
tr><td class=3D"ydpc5191476card-richInfo2" style=3D"text-align:left;padding=
:15px 0 0 15px;vertical-align:top"></td><td class=3D"ydpc5191476card-action=
s" style=3D"text-align:right;padding:15px 15px 0 0;vertical-align:top"><div=
 class=3D"ydpc5191476card-share-container"></div></td></tr></tbody></table>=
<!--[if gte mso 9]></v:textbox></v:rect><![endif]--></td></tr></tbody></tab=
le></td></tr><tr><td><table class=3D"ydpc5191476card-info ydpc5191476yahoo-=
ignore-table" style=3D"background-color: rgb(255, 255, 255); background-rep=
eat: repeat; background-attachment: scroll; background-image: none; backgro=
und-size: auto; position: relative; z-index: 2; width: 100%; max-width: 400=
px; border-radius: 0px 0px 2px 2px; border-top: 1px solid rgb(224, 228, 233=
);" cellspacing=3D"0" cellpadding=3D"0" border=3D"0" align=3D"center"><tbod=
y><tr><td style=3D"background-color:#ffffff;padding:16px 0 16px 12px;vertic=
al-align:top;border-radius:0 0 0 2px"></td><td style=3D"vertical-align:midd=
le;padding:12px 24px 16px 12px;width:99%;font-family:YahooSans, &quot;Helve=
tica Neue&quot;, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif;border-=
radius:0 0 2px 0"><h2 class=3D"ydpc5191476card-title" style=3D"font-size: 1=
4px; line-height: 19px; margin: 0px 0px 6px; font-family: YahooSans, &quot;=
Helvetica Neue&quot;, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif; c=
olor: rgb(38, 40, 42); max-width: 314px;">r/qutebrowser - Comment by u/The-=
Compiler on =E2=80=9DWebGL blacklisted on Guix=E2=80=9D</h2><p class=3D"ydp=
c5191476card-description" style=3D"font-size: 12px; line-height: 16px; marg=
in: 0px; color: rgb(151, 155, 167);">4 votes and 8 comments so far on Reddi=
t</p></td></tr></tbody></table></td></tr></tbody></table></td></tr></tbody>=
</table></a></div><div><br></div><div><br></div></div></body></html>
------=_Part_1530174_1374477683.1641317754642--




Acknowledgement sent to Jaft <wamm_kd_schmelingski@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#53011; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 2 Feb 2022 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.